import mod from "./index.js";

export default mod;
export const AccessDeniedException = mod.AccessDeniedException;
export const Action = mod.Action;
export const AssociateFirewallRuleGroupCommand = mod.AssociateFirewallRuleGroupCommand;
export const AssociateFirewallRuleGroupRequest = mod.AssociateFirewallRuleGroupRequest;
export const AssociateFirewallRuleGroupResponse = mod.AssociateFirewallRuleGroupResponse;
export const AssociateResolverEndpointIpAddressCommand = mod.AssociateResolverEndpointIpAddressCommand;
export const AssociateResolverEndpointIpAddressRequest = mod.AssociateResolverEndpointIpAddressRequest;
export const AssociateResolverEndpointIpAddressResponse = mod.AssociateResolverEndpointIpAddressResponse;
export const AssociateResolverQueryLogConfigCommand = mod.AssociateResolverQueryLogConfigCommand;
export const AssociateResolverQueryLogConfigRequest = mod.AssociateResolverQueryLogConfigRequest;
export const AssociateResolverQueryLogConfigResponse = mod.AssociateResolverQueryLogConfigResponse;
export const AssociateResolverRuleCommand = mod.AssociateResolverRuleCommand;
export const AssociateResolverRuleRequest = mod.AssociateResolverRuleRequest;
export const AssociateResolverRuleResponse = mod.AssociateResolverRuleResponse;
export const AutodefinedReverseFlag = mod.AutodefinedReverseFlag;
export const BlockOverrideDnsType = mod.BlockOverrideDnsType;
export const BlockResponse = mod.BlockResponse;
export const ConflictException = mod.ConflictException;
export const CreateFirewallDomainListCommand = mod.CreateFirewallDomainListCommand;
export const CreateFirewallDomainListRequest = mod.CreateFirewallDomainListRequest;
export const CreateFirewallDomainListResponse = mod.CreateFirewallDomainListResponse;
export const CreateFirewallRuleCommand = mod.CreateFirewallRuleCommand;
export const CreateFirewallRuleGroupCommand = mod.CreateFirewallRuleGroupCommand;
export const CreateFirewallRuleGroupRequest = mod.CreateFirewallRuleGroupRequest;
export const CreateFirewallRuleGroupResponse = mod.CreateFirewallRuleGroupResponse;
export const CreateFirewallRuleRequest = mod.CreateFirewallRuleRequest;
export const CreateFirewallRuleResponse = mod.CreateFirewallRuleResponse;
export const CreateResolverEndpointCommand = mod.CreateResolverEndpointCommand;
export const CreateResolverEndpointRequest = mod.CreateResolverEndpointRequest;
export const CreateResolverEndpointResponse = mod.CreateResolverEndpointResponse;
export const CreateResolverQueryLogConfigCommand = mod.CreateResolverQueryLogConfigCommand;
export const CreateResolverQueryLogConfigRequest = mod.CreateResolverQueryLogConfigRequest;
export const CreateResolverQueryLogConfigResponse = mod.CreateResolverQueryLogConfigResponse;
export const CreateResolverRuleCommand = mod.CreateResolverRuleCommand;
export const CreateResolverRuleRequest = mod.CreateResolverRuleRequest;
export const CreateResolverRuleResponse = mod.CreateResolverRuleResponse;
export const DeleteFirewallDomainListCommand = mod.DeleteFirewallDomainListCommand;
export const DeleteFirewallDomainListRequest = mod.DeleteFirewallDomainListRequest;
export const DeleteFirewallDomainListResponse = mod.DeleteFirewallDomainListResponse;
export const DeleteFirewallRuleCommand = mod.DeleteFirewallRuleCommand;
export const DeleteFirewallRuleGroupCommand = mod.DeleteFirewallRuleGroupCommand;
export const DeleteFirewallRuleGroupRequest = mod.DeleteFirewallRuleGroupRequest;
export const DeleteFirewallRuleGroupResponse = mod.DeleteFirewallRuleGroupResponse;
export const DeleteFirewallRuleRequest = mod.DeleteFirewallRuleRequest;
export const DeleteFirewallRuleResponse = mod.DeleteFirewallRuleResponse;
export const DeleteResolverEndpointCommand = mod.DeleteResolverEndpointCommand;
export const DeleteResolverEndpointRequest = mod.DeleteResolverEndpointRequest;
export const DeleteResolverEndpointResponse = mod.DeleteResolverEndpointResponse;
export const DeleteResolverQueryLogConfigCommand = mod.DeleteResolverQueryLogConfigCommand;
export const DeleteResolverQueryLogConfigRequest = mod.DeleteResolverQueryLogConfigRequest;
export const DeleteResolverQueryLogConfigResponse = mod.DeleteResolverQueryLogConfigResponse;
export const DeleteResolverRuleCommand = mod.DeleteResolverRuleCommand;
export const DeleteResolverRuleRequest = mod.DeleteResolverRuleRequest;
export const DeleteResolverRuleResponse = mod.DeleteResolverRuleResponse;
export const DisassociateFirewallRuleGroupCommand = mod.DisassociateFirewallRuleGroupCommand;
export const DisassociateFirewallRuleGroupRequest = mod.DisassociateFirewallRuleGroupRequest;
export const DisassociateFirewallRuleGroupResponse = mod.DisassociateFirewallRuleGroupResponse;
export const DisassociateResolverEndpointIpAddressCommand = mod.DisassociateResolverEndpointIpAddressCommand;
export const DisassociateResolverEndpointIpAddressRequest = mod.DisassociateResolverEndpointIpAddressRequest;
export const DisassociateResolverEndpointIpAddressResponse = mod.DisassociateResolverEndpointIpAddressResponse;
export const DisassociateResolverQueryLogConfigCommand = mod.DisassociateResolverQueryLogConfigCommand;
export const DisassociateResolverQueryLogConfigRequest = mod.DisassociateResolverQueryLogConfigRequest;
export const DisassociateResolverQueryLogConfigResponse = mod.DisassociateResolverQueryLogConfigResponse;
export const DisassociateResolverRuleCommand = mod.DisassociateResolverRuleCommand;
export const DisassociateResolverRuleRequest = mod.DisassociateResolverRuleRequest;
export const DisassociateResolverRuleResponse = mod.DisassociateResolverRuleResponse;
export const Filter = mod.Filter;
export const FirewallConfig = mod.FirewallConfig;
export const FirewallDomainImportOperation = mod.FirewallDomainImportOperation;
export const FirewallDomainList = mod.FirewallDomainList;
export const FirewallDomainListMetadata = mod.FirewallDomainListMetadata;
export const FirewallDomainListStatus = mod.FirewallDomainListStatus;
export const FirewallDomainUpdateOperation = mod.FirewallDomainUpdateOperation;
export const FirewallFailOpenStatus = mod.FirewallFailOpenStatus;
export const FirewallRule = mod.FirewallRule;
export const FirewallRuleGroup = mod.FirewallRuleGroup;
export const FirewallRuleGroupAssociation = mod.FirewallRuleGroupAssociation;
export const FirewallRuleGroupAssociationStatus = mod.FirewallRuleGroupAssociationStatus;
export const FirewallRuleGroupMetadata = mod.FirewallRuleGroupMetadata;
export const FirewallRuleGroupStatus = mod.FirewallRuleGroupStatus;
export const GetFirewallConfigCommand = mod.GetFirewallConfigCommand;
export const GetFirewallConfigRequest = mod.GetFirewallConfigRequest;
export const GetFirewallConfigResponse = mod.GetFirewallConfigResponse;
export const GetFirewallDomainListCommand = mod.GetFirewallDomainListCommand;
export const GetFirewallDomainListRequest = mod.GetFirewallDomainListRequest;
export const GetFirewallDomainListResponse = mod.GetFirewallDomainListResponse;
export const GetFirewallRuleGroupAssociationCommand = mod.GetFirewallRuleGroupAssociationCommand;
export const GetFirewallRuleGroupAssociationRequest = mod.GetFirewallRuleGroupAssociationRequest;
export const GetFirewallRuleGroupAssociationResponse = mod.GetFirewallRuleGroupAssociationResponse;
export const GetFirewallRuleGroupCommand = mod.GetFirewallRuleGroupCommand;
export const GetFirewallRuleGroupPolicyCommand = mod.GetFirewallRuleGroupPolicyCommand;
export const GetFirewallRuleGroupPolicyRequest = mod.GetFirewallRuleGroupPolicyRequest;
export const GetFirewallRuleGroupPolicyResponse = mod.GetFirewallRuleGroupPolicyResponse;
export const GetFirewallRuleGroupRequest = mod.GetFirewallRuleGroupRequest;
export const GetFirewallRuleGroupResponse = mod.GetFirewallRuleGroupResponse;
export const GetResolverConfigCommand = mod.GetResolverConfigCommand;
export const GetResolverConfigRequest = mod.GetResolverConfigRequest;
export const GetResolverConfigResponse = mod.GetResolverConfigResponse;
export const GetResolverDnssecConfigCommand = mod.GetResolverDnssecConfigCommand;
export const GetResolverDnssecConfigRequest = mod.GetResolverDnssecConfigRequest;
export const GetResolverDnssecConfigResponse = mod.GetResolverDnssecConfigResponse;
export const GetResolverEndpointCommand = mod.GetResolverEndpointCommand;
export const GetResolverEndpointRequest = mod.GetResolverEndpointRequest;
export const GetResolverEndpointResponse = mod.GetResolverEndpointResponse;
export const GetResolverQueryLogConfigAssociationCommand = mod.GetResolverQueryLogConfigAssociationCommand;
export const GetResolverQueryLogConfigAssociationRequest = mod.GetResolverQueryLogConfigAssociationRequest;
export const GetResolverQueryLogConfigAssociationResponse = mod.GetResolverQueryLogConfigAssociationResponse;
export const GetResolverQueryLogConfigCommand = mod.GetResolverQueryLogConfigCommand;
export const GetResolverQueryLogConfigPolicyCommand = mod.GetResolverQueryLogConfigPolicyCommand;
export const GetResolverQueryLogConfigPolicyRequest = mod.GetResolverQueryLogConfigPolicyRequest;
export const GetResolverQueryLogConfigPolicyResponse = mod.GetResolverQueryLogConfigPolicyResponse;
export const GetResolverQueryLogConfigRequest = mod.GetResolverQueryLogConfigRequest;
export const GetResolverQueryLogConfigResponse = mod.GetResolverQueryLogConfigResponse;
export const GetResolverRuleAssociationCommand = mod.GetResolverRuleAssociationCommand;
export const GetResolverRuleAssociationRequest = mod.GetResolverRuleAssociationRequest;
export const GetResolverRuleAssociationResponse = mod.GetResolverRuleAssociationResponse;
export const GetResolverRuleCommand = mod.GetResolverRuleCommand;
export const GetResolverRulePolicyCommand = mod.GetResolverRulePolicyCommand;
export const GetResolverRulePolicyRequest = mod.GetResolverRulePolicyRequest;
export const GetResolverRulePolicyResponse = mod.GetResolverRulePolicyResponse;
export const GetResolverRuleRequest = mod.GetResolverRuleRequest;
export const GetResolverRuleResponse = mod.GetResolverRuleResponse;
export const ImportFirewallDomainsCommand = mod.ImportFirewallDomainsCommand;
export const ImportFirewallDomainsRequest = mod.ImportFirewallDomainsRequest;
export const ImportFirewallDomainsResponse = mod.ImportFirewallDomainsResponse;
export const InternalServiceErrorException = mod.InternalServiceErrorException;
export const InvalidNextTokenException = mod.InvalidNextTokenException;
export const InvalidParameterException = mod.InvalidParameterException;
export const InvalidPolicyDocument = mod.InvalidPolicyDocument;
export const InvalidRequestException = mod.InvalidRequestException;
export const InvalidTagException = mod.InvalidTagException;
export const IpAddressRequest = mod.IpAddressRequest;
export const IpAddressResponse = mod.IpAddressResponse;
export const IpAddressStatus = mod.IpAddressStatus;
export const IpAddressUpdate = mod.IpAddressUpdate;
export const LimitExceededException = mod.LimitExceededException;
export const ListFirewallConfigsCommand = mod.ListFirewallConfigsCommand;
export const ListFirewallConfigsRequest = mod.ListFirewallConfigsRequest;
export const ListFirewallConfigsResponse = mod.ListFirewallConfigsResponse;
export const ListFirewallDomainListsCommand = mod.ListFirewallDomainListsCommand;
export const ListFirewallDomainListsRequest = mod.ListFirewallDomainListsRequest;
export const ListFirewallDomainListsResponse = mod.ListFirewallDomainListsResponse;
export const ListFirewallDomainsCommand = mod.ListFirewallDomainsCommand;
export const ListFirewallDomainsRequest = mod.ListFirewallDomainsRequest;
export const ListFirewallDomainsResponse = mod.ListFirewallDomainsResponse;
export const ListFirewallRuleGroupAssociationsCommand = mod.ListFirewallRuleGroupAssociationsCommand;
export const ListFirewallRuleGroupAssociationsRequest = mod.ListFirewallRuleGroupAssociationsRequest;
export const ListFirewallRuleGroupAssociationsResponse = mod.ListFirewallRuleGroupAssociationsResponse;
export const ListFirewallRuleGroupsCommand = mod.ListFirewallRuleGroupsCommand;
export const ListFirewallRuleGroupsRequest = mod.ListFirewallRuleGroupsRequest;
export const ListFirewallRuleGroupsResponse = mod.ListFirewallRuleGroupsResponse;
export const ListFirewallRulesCommand = mod.ListFirewallRulesCommand;
export const ListFirewallRulesRequest = mod.ListFirewallRulesRequest;
export const ListFirewallRulesResponse = mod.ListFirewallRulesResponse;
export const ListResolverConfigsCommand = mod.ListResolverConfigsCommand;
export const ListResolverConfigsRequest = mod.ListResolverConfigsRequest;
export const ListResolverConfigsResponse = mod.ListResolverConfigsResponse;
export const ListResolverDnssecConfigsCommand = mod.ListResolverDnssecConfigsCommand;
export const ListResolverDnssecConfigsRequest = mod.ListResolverDnssecConfigsRequest;
export const ListResolverDnssecConfigsResponse = mod.ListResolverDnssecConfigsResponse;
export const ListResolverEndpointIpAddressesCommand = mod.ListResolverEndpointIpAddressesCommand;
export const ListResolverEndpointIpAddressesRequest = mod.ListResolverEndpointIpAddressesRequest;
export const ListResolverEndpointIpAddressesResponse = mod.ListResolverEndpointIpAddressesResponse;
export const ListResolverEndpointsCommand = mod.ListResolverEndpointsCommand;
export const ListResolverEndpointsRequest = mod.ListResolverEndpointsRequest;
export const ListResolverEndpointsResponse = mod.ListResolverEndpointsResponse;
export const ListResolverQueryLogConfigAssociationsCommand = mod.ListResolverQueryLogConfigAssociationsCommand;
export const ListResolverQueryLogConfigAssociationsRequest = mod.ListResolverQueryLogConfigAssociationsRequest;
export const ListResolverQueryLogConfigAssociationsResponse = mod.ListResolverQueryLogConfigAssociationsResponse;
export const ListResolverQueryLogConfigsCommand = mod.ListResolverQueryLogConfigsCommand;
export const ListResolverQueryLogConfigsRequest = mod.ListResolverQueryLogConfigsRequest;
export const ListResolverQueryLogConfigsResponse = mod.ListResolverQueryLogConfigsResponse;
export const ListResolverRuleAssociationsCommand = mod.ListResolverRuleAssociationsCommand;
export const ListResolverRuleAssociationsRequest = mod.ListResolverRuleAssociationsRequest;
export const ListResolverRuleAssociationsResponse = mod.ListResolverRuleAssociationsResponse;
export const ListResolverRulesCommand = mod.ListResolverRulesCommand;
export const ListResolverRulesRequest = mod.ListResolverRulesRequest;
export const ListResolverRulesResponse = mod.ListResolverRulesResponse;
export const ListTagsForResourceCommand = mod.ListTagsForResourceCommand;
export const ListTagsForResourceRequest = mod.ListTagsForResourceRequest;
export const ListTagsForResourceResponse = mod.ListTagsForResourceResponse;
export const MutationProtectionStatus = mod.MutationProtectionStatus;
export const PutFirewallRuleGroupPolicyCommand = mod.PutFirewallRuleGroupPolicyCommand;
export const PutFirewallRuleGroupPolicyRequest = mod.PutFirewallRuleGroupPolicyRequest;
export const PutFirewallRuleGroupPolicyResponse = mod.PutFirewallRuleGroupPolicyResponse;
export const PutResolverQueryLogConfigPolicyCommand = mod.PutResolverQueryLogConfigPolicyCommand;
export const PutResolverQueryLogConfigPolicyRequest = mod.PutResolverQueryLogConfigPolicyRequest;
export const PutResolverQueryLogConfigPolicyResponse = mod.PutResolverQueryLogConfigPolicyResponse;
export const PutResolverRulePolicyCommand = mod.PutResolverRulePolicyCommand;
export const PutResolverRulePolicyRequest = mod.PutResolverRulePolicyRequest;
export const PutResolverRulePolicyResponse = mod.PutResolverRulePolicyResponse;
export const ResolverAutodefinedReverseStatus = mod.ResolverAutodefinedReverseStatus;
export const ResolverConfig = mod.ResolverConfig;
export const ResolverDNSSECValidationStatus = mod.ResolverDNSSECValidationStatus;
export const ResolverDnssecConfig = mod.ResolverDnssecConfig;
export const ResolverEndpoint = mod.ResolverEndpoint;
export const ResolverEndpointDirection = mod.ResolverEndpointDirection;
export const ResolverEndpointStatus = mod.ResolverEndpointStatus;
export const ResolverQueryLogConfig = mod.ResolverQueryLogConfig;
export const ResolverQueryLogConfigAssociation = mod.ResolverQueryLogConfigAssociation;
export const ResolverQueryLogConfigAssociationError = mod.ResolverQueryLogConfigAssociationError;
export const ResolverQueryLogConfigAssociationStatus = mod.ResolverQueryLogConfigAssociationStatus;
export const ResolverQueryLogConfigStatus = mod.ResolverQueryLogConfigStatus;
export const ResolverRule = mod.ResolverRule;
export const ResolverRuleAssociation = mod.ResolverRuleAssociation;
export const ResolverRuleAssociationStatus = mod.ResolverRuleAssociationStatus;
export const ResolverRuleConfig = mod.ResolverRuleConfig;
export const ResolverRuleStatus = mod.ResolverRuleStatus;
export const ResourceExistsException = mod.ResourceExistsException;
export const ResourceInUseException = mod.ResourceInUseException;
export const ResourceNotFoundException = mod.ResourceNotFoundException;
export const ResourceUnavailableException = mod.ResourceUnavailableException;
export const Route53Resolver = mod.Route53Resolver;
export const Route53ResolverClient = mod.Route53ResolverClient;
export const Route53ResolverServiceException = mod.Route53ResolverServiceException;
export const RuleTypeOption = mod.RuleTypeOption;
export const ShareStatus = mod.ShareStatus;
export const SortOrder = mod.SortOrder;
export const Tag = mod.Tag;
export const TagResourceCommand = mod.TagResourceCommand;
export const TagResourceRequest = mod.TagResourceRequest;
export const TagResourceResponse = mod.TagResourceResponse;
export const TargetAddress = mod.TargetAddress;
export const ThrottlingException = mod.ThrottlingException;
export const UnknownResourceException = mod.UnknownResourceException;
export const UntagResourceCommand = mod.UntagResourceCommand;
export const UntagResourceRequest = mod.UntagResourceRequest;
export const UntagResourceResponse = mod.UntagResourceResponse;
export const UpdateFirewallConfigCommand = mod.UpdateFirewallConfigCommand;
export const UpdateFirewallConfigRequest = mod.UpdateFirewallConfigRequest;
export const UpdateFirewallConfigResponse = mod.UpdateFirewallConfigResponse;
export const UpdateFirewallDomainsCommand = mod.UpdateFirewallDomainsCommand;
export const UpdateFirewallDomainsRequest = mod.UpdateFirewallDomainsRequest;
export const UpdateFirewallDomainsResponse = mod.UpdateFirewallDomainsResponse;
export const UpdateFirewallRuleCommand = mod.UpdateFirewallRuleCommand;
export const UpdateFirewallRuleGroupAssociationCommand = mod.UpdateFirewallRuleGroupAssociationCommand;
export const UpdateFirewallRuleGroupAssociationRequest = mod.UpdateFirewallRuleGroupAssociationRequest;
export const UpdateFirewallRuleGroupAssociationResponse = mod.UpdateFirewallRuleGroupAssociationResponse;
export const UpdateFirewallRuleRequest = mod.UpdateFirewallRuleRequest;
export const UpdateFirewallRuleResponse = mod.UpdateFirewallRuleResponse;
export const UpdateResolverConfigCommand = mod.UpdateResolverConfigCommand;
export const UpdateResolverConfigRequest = mod.UpdateResolverConfigRequest;
export const UpdateResolverConfigResponse = mod.UpdateResolverConfigResponse;
export const UpdateResolverDnssecConfigCommand = mod.UpdateResolverDnssecConfigCommand;
export const UpdateResolverDnssecConfigRequest = mod.UpdateResolverDnssecConfigRequest;
export const UpdateResolverDnssecConfigResponse = mod.UpdateResolverDnssecConfigResponse;
export const UpdateResolverEndpointCommand = mod.UpdateResolverEndpointCommand;
export const UpdateResolverEndpointRequest = mod.UpdateResolverEndpointRequest;
export const UpdateResolverEndpointResponse = mod.UpdateResolverEndpointResponse;
export const UpdateResolverRuleCommand = mod.UpdateResolverRuleCommand;
export const UpdateResolverRuleRequest = mod.UpdateResolverRuleRequest;
export const UpdateResolverRuleResponse = mod.UpdateResolverRuleResponse;
export const Validation = mod.Validation;
export const ValidationException = mod.ValidationException;
export const paginateListFirewallConfigs = mod.paginateListFirewallConfigs;
export const paginateListFirewallDomainLists = mod.paginateListFirewallDomainLists;
export const paginateListFirewallDomains = mod.paginateListFirewallDomains;
export const paginateListFirewallRuleGroupAssociations = mod.paginateListFirewallRuleGroupAssociations;
export const paginateListFirewallRuleGroups = mod.paginateListFirewallRuleGroups;
export const paginateListFirewallRules = mod.paginateListFirewallRules;
export const paginateListResolverConfigs = mod.paginateListResolverConfigs;
export const paginateListResolverDnssecConfigs = mod.paginateListResolverDnssecConfigs;
export const paginateListResolverEndpointIpAddresses = mod.paginateListResolverEndpointIpAddresses;
export const paginateListResolverEndpoints = mod.paginateListResolverEndpoints;
export const paginateListResolverQueryLogConfigAssociations = mod.paginateListResolverQueryLogConfigAssociations;
export const paginateListResolverQueryLogConfigs = mod.paginateListResolverQueryLogConfigs;
export const paginateListResolverRuleAssociations = mod.paginateListResolverRuleAssociations;
export const paginateListResolverRules = mod.paginateListResolverRules;
export const paginateListTagsForResource = mod.paginateListTagsForResource;
