import { __assign, __extends } from "tslib";
import { Route53ResolverServiceException as __BaseException } from "./Route53ResolverServiceException";
var AccessDeniedException = (function (_super) {
    __extends(AccessDeniedException, _super);
    function AccessDeniedException(opts) {
        var _this = _super.call(this, __assign({ name: "AccessDeniedException", $fault: "client" }, opts)) || this;
        _this.name = "AccessDeniedException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, AccessDeniedException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return AccessDeniedException;
}(__BaseException));
export { AccessDeniedException };
export var Action;
(function (Action) {
    Action["ALERT"] = "ALERT";
    Action["ALLOW"] = "ALLOW";
    Action["BLOCK"] = "BLOCK";
})(Action || (Action = {}));
export var MutationProtectionStatus;
(function (MutationProtectionStatus) {
    MutationProtectionStatus["DISABLED"] = "DISABLED";
    MutationProtectionStatus["ENABLED"] = "ENABLED";
})(MutationProtectionStatus || (MutationProtectionStatus = {}));
export var Tag;
(function (Tag) {
    Tag.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Tag || (Tag = {}));
export var AssociateFirewallRuleGroupRequest;
(function (AssociateFirewallRuleGroupRequest) {
    AssociateFirewallRuleGroupRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AssociateFirewallRuleGroupRequest || (AssociateFirewallRuleGroupRequest = {}));
export var FirewallRuleGroupAssociationStatus;
(function (FirewallRuleGroupAssociationStatus) {
    FirewallRuleGroupAssociationStatus["COMPLETE"] = "COMPLETE";
    FirewallRuleGroupAssociationStatus["DELETING"] = "DELETING";
    FirewallRuleGroupAssociationStatus["UPDATING"] = "UPDATING";
})(FirewallRuleGroupAssociationStatus || (FirewallRuleGroupAssociationStatus = {}));
export var FirewallRuleGroupAssociation;
(function (FirewallRuleGroupAssociation) {
    FirewallRuleGroupAssociation.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(FirewallRuleGroupAssociation || (FirewallRuleGroupAssociation = {}));
export var AssociateFirewallRuleGroupResponse;
(function (AssociateFirewallRuleGroupResponse) {
    AssociateFirewallRuleGroupResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AssociateFirewallRuleGroupResponse || (AssociateFirewallRuleGroupResponse = {}));
var ConflictException = (function (_super) {
    __extends(ConflictException, _super);
    function ConflictException(opts) {
        var _this = _super.call(this, __assign({ name: "ConflictException", $fault: "client" }, opts)) || this;
        _this.name = "ConflictException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ConflictException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return ConflictException;
}(__BaseException));
export { ConflictException };
var InternalServiceErrorException = (function (_super) {
    __extends(InternalServiceErrorException, _super);
    function InternalServiceErrorException(opts) {
        var _this = _super.call(this, __assign({ name: "InternalServiceErrorException", $fault: "client" }, opts)) || this;
        _this.name = "InternalServiceErrorException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InternalServiceErrorException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return InternalServiceErrorException;
}(__BaseException));
export { InternalServiceErrorException };
var LimitExceededException = (function (_super) {
    __extends(LimitExceededException, _super);
    function LimitExceededException(opts) {
        var _this = _super.call(this, __assign({ name: "LimitExceededException", $fault: "client" }, opts)) || this;
        _this.name = "LimitExceededException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, LimitExceededException.prototype);
        _this.Message = opts.Message;
        _this.ResourceType = opts.ResourceType;
        return _this;
    }
    return LimitExceededException;
}(__BaseException));
export { LimitExceededException };
var ResourceNotFoundException = (function (_super) {
    __extends(ResourceNotFoundException, _super);
    function ResourceNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "ResourceNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "ResourceNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ResourceNotFoundException.prototype);
        _this.Message = opts.Message;
        _this.ResourceType = opts.ResourceType;
        return _this;
    }
    return ResourceNotFoundException;
}(__BaseException));
export { ResourceNotFoundException };
var ThrottlingException = (function (_super) {
    __extends(ThrottlingException, _super);
    function ThrottlingException(opts) {
        var _this = _super.call(this, __assign({ name: "ThrottlingException", $fault: "client" }, opts)) || this;
        _this.name = "ThrottlingException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ThrottlingException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return ThrottlingException;
}(__BaseException));
export { ThrottlingException };
var ValidationException = (function (_super) {
    __extends(ValidationException, _super);
    function ValidationException(opts) {
        var _this = _super.call(this, __assign({ name: "ValidationException", $fault: "client" }, opts)) || this;
        _this.name = "ValidationException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ValidationException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return ValidationException;
}(__BaseException));
export { ValidationException };
export var IpAddressUpdate;
(function (IpAddressUpdate) {
    IpAddressUpdate.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(IpAddressUpdate || (IpAddressUpdate = {}));
export var AssociateResolverEndpointIpAddressRequest;
(function (AssociateResolverEndpointIpAddressRequest) {
    AssociateResolverEndpointIpAddressRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AssociateResolverEndpointIpAddressRequest || (AssociateResolverEndpointIpAddressRequest = {}));
export var ResolverEndpointDirection;
(function (ResolverEndpointDirection) {
    ResolverEndpointDirection["Inbound"] = "INBOUND";
    ResolverEndpointDirection["Outbound"] = "OUTBOUND";
})(ResolverEndpointDirection || (ResolverEndpointDirection = {}));
export var ResolverEndpointStatus;
(function (ResolverEndpointStatus) {
    ResolverEndpointStatus["ActionNeeded"] = "ACTION_NEEDED";
    ResolverEndpointStatus["AutoRecovering"] = "AUTO_RECOVERING";
    ResolverEndpointStatus["Creating"] = "CREATING";
    ResolverEndpointStatus["Deleting"] = "DELETING";
    ResolverEndpointStatus["Operational"] = "OPERATIONAL";
    ResolverEndpointStatus["Updating"] = "UPDATING";
})(ResolverEndpointStatus || (ResolverEndpointStatus = {}));
export var ResolverEndpoint;
(function (ResolverEndpoint) {
    ResolverEndpoint.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ResolverEndpoint || (ResolverEndpoint = {}));
export var AssociateResolverEndpointIpAddressResponse;
(function (AssociateResolverEndpointIpAddressResponse) {
    AssociateResolverEndpointIpAddressResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AssociateResolverEndpointIpAddressResponse || (AssociateResolverEndpointIpAddressResponse = {}));
var InvalidParameterException = (function (_super) {
    __extends(InvalidParameterException, _super);
    function InvalidParameterException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidParameterException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidParameterException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidParameterException.prototype);
        _this.Message = opts.Message;
        _this.FieldName = opts.FieldName;
        return _this;
    }
    return InvalidParameterException;
}(__BaseException));
export { InvalidParameterException };
var InvalidRequestException = (function (_super) {
    __extends(InvalidRequestException, _super);
    function InvalidRequestException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidRequestException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidRequestException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidRequestException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return InvalidRequestException;
}(__BaseException));
export { InvalidRequestException };
var ResourceExistsException = (function (_super) {
    __extends(ResourceExistsException, _super);
    function ResourceExistsException(opts) {
        var _this = _super.call(this, __assign({ name: "ResourceExistsException", $fault: "client" }, opts)) || this;
        _this.name = "ResourceExistsException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ResourceExistsException.prototype);
        _this.Message = opts.Message;
        _this.ResourceType = opts.ResourceType;
        return _this;
    }
    return ResourceExistsException;
}(__BaseException));
export { ResourceExistsException };
export var AssociateResolverQueryLogConfigRequest;
(function (AssociateResolverQueryLogConfigRequest) {
    AssociateResolverQueryLogConfigRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AssociateResolverQueryLogConfigRequest || (AssociateResolverQueryLogConfigRequest = {}));
export var ResolverQueryLogConfigAssociationError;
(function (ResolverQueryLogConfigAssociationError) {
    ResolverQueryLogConfigAssociationError["AccessDenied"] = "ACCESS_DENIED";
    ResolverQueryLogConfigAssociationError["DestinationNotFound"] = "DESTINATION_NOT_FOUND";
    ResolverQueryLogConfigAssociationError["InternalServiceError"] = "INTERNAL_SERVICE_ERROR";
    ResolverQueryLogConfigAssociationError["None"] = "NONE";
})(ResolverQueryLogConfigAssociationError || (ResolverQueryLogConfigAssociationError = {}));
export var ResolverQueryLogConfigAssociationStatus;
(function (ResolverQueryLogConfigAssociationStatus) {
    ResolverQueryLogConfigAssociationStatus["ActionNeeded"] = "ACTION_NEEDED";
    ResolverQueryLogConfigAssociationStatus["Active"] = "ACTIVE";
    ResolverQueryLogConfigAssociationStatus["Creating"] = "CREATING";
    ResolverQueryLogConfigAssociationStatus["Deleting"] = "DELETING";
    ResolverQueryLogConfigAssociationStatus["Failed"] = "FAILED";
})(ResolverQueryLogConfigAssociationStatus || (ResolverQueryLogConfigAssociationStatus = {}));
export var ResolverQueryLogConfigAssociation;
(function (ResolverQueryLogConfigAssociation) {
    ResolverQueryLogConfigAssociation.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ResolverQueryLogConfigAssociation || (ResolverQueryLogConfigAssociation = {}));
export var AssociateResolverQueryLogConfigResponse;
(function (AssociateResolverQueryLogConfigResponse) {
    AssociateResolverQueryLogConfigResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AssociateResolverQueryLogConfigResponse || (AssociateResolverQueryLogConfigResponse = {}));
export var AssociateResolverRuleRequest;
(function (AssociateResolverRuleRequest) {
    AssociateResolverRuleRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AssociateResolverRuleRequest || (AssociateResolverRuleRequest = {}));
export var ResolverRuleAssociationStatus;
(function (ResolverRuleAssociationStatus) {
    ResolverRuleAssociationStatus["Complete"] = "COMPLETE";
    ResolverRuleAssociationStatus["Creating"] = "CREATING";
    ResolverRuleAssociationStatus["Deleting"] = "DELETING";
    ResolverRuleAssociationStatus["Failed"] = "FAILED";
    ResolverRuleAssociationStatus["Overridden"] = "OVERRIDDEN";
})(ResolverRuleAssociationStatus || (ResolverRuleAssociationStatus = {}));
export var ResolverRuleAssociation;
(function (ResolverRuleAssociation) {
    ResolverRuleAssociation.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ResolverRuleAssociation || (ResolverRuleAssociation = {}));
export var AssociateResolverRuleResponse;
(function (AssociateResolverRuleResponse) {
    AssociateResolverRuleResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AssociateResolverRuleResponse || (AssociateResolverRuleResponse = {}));
var ResourceUnavailableException = (function (_super) {
    __extends(ResourceUnavailableException, _super);
    function ResourceUnavailableException(opts) {
        var _this = _super.call(this, __assign({ name: "ResourceUnavailableException", $fault: "client" }, opts)) || this;
        _this.name = "ResourceUnavailableException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ResourceUnavailableException.prototype);
        _this.Message = opts.Message;
        _this.ResourceType = opts.ResourceType;
        return _this;
    }
    return ResourceUnavailableException;
}(__BaseException));
export { ResourceUnavailableException };
export var AutodefinedReverseFlag;
(function (AutodefinedReverseFlag) {
    AutodefinedReverseFlag["DISABLE"] = "DISABLE";
    AutodefinedReverseFlag["ENABLE"] = "ENABLE";
})(AutodefinedReverseFlag || (AutodefinedReverseFlag = {}));
export var BlockOverrideDnsType;
(function (BlockOverrideDnsType) {
    BlockOverrideDnsType["CNAME"] = "CNAME";
})(BlockOverrideDnsType || (BlockOverrideDnsType = {}));
export var BlockResponse;
(function (BlockResponse) {
    BlockResponse["NODATA"] = "NODATA";
    BlockResponse["NXDOMAIN"] = "NXDOMAIN";
    BlockResponse["OVERRIDE"] = "OVERRIDE";
})(BlockResponse || (BlockResponse = {}));
export var CreateFirewallDomainListRequest;
(function (CreateFirewallDomainListRequest) {
    CreateFirewallDomainListRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateFirewallDomainListRequest || (CreateFirewallDomainListRequest = {}));
export var FirewallDomainListStatus;
(function (FirewallDomainListStatus) {
    FirewallDomainListStatus["COMPLETE"] = "COMPLETE";
    FirewallDomainListStatus["COMPLETE_IMPORT_FAILED"] = "COMPLETE_IMPORT_FAILED";
    FirewallDomainListStatus["DELETING"] = "DELETING";
    FirewallDomainListStatus["IMPORTING"] = "IMPORTING";
    FirewallDomainListStatus["UPDATING"] = "UPDATING";
})(FirewallDomainListStatus || (FirewallDomainListStatus = {}));
export var FirewallDomainList;
(function (FirewallDomainList) {
    FirewallDomainList.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(FirewallDomainList || (FirewallDomainList = {}));
export var CreateFirewallDomainListResponse;
(function (CreateFirewallDomainListResponse) {
    CreateFirewallDomainListResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateFirewallDomainListResponse || (CreateFirewallDomainListResponse = {}));
export var CreateFirewallRuleRequest;
(function (CreateFirewallRuleRequest) {
    CreateFirewallRuleRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateFirewallRuleRequest || (CreateFirewallRuleRequest = {}));
export var FirewallRule;
(function (FirewallRule) {
    FirewallRule.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(FirewallRule || (FirewallRule = {}));
export var CreateFirewallRuleResponse;
(function (CreateFirewallRuleResponse) {
    CreateFirewallRuleResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateFirewallRuleResponse || (CreateFirewallRuleResponse = {}));
export var CreateFirewallRuleGroupRequest;
(function (CreateFirewallRuleGroupRequest) {
    CreateFirewallRuleGroupRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateFirewallRuleGroupRequest || (CreateFirewallRuleGroupRequest = {}));
export var ShareStatus;
(function (ShareStatus) {
    ShareStatus["NotShared"] = "NOT_SHARED";
    ShareStatus["SharedByMe"] = "SHARED_BY_ME";
    ShareStatus["SharedWithMe"] = "SHARED_WITH_ME";
})(ShareStatus || (ShareStatus = {}));
export var FirewallRuleGroupStatus;
(function (FirewallRuleGroupStatus) {
    FirewallRuleGroupStatus["COMPLETE"] = "COMPLETE";
    FirewallRuleGroupStatus["DELETING"] = "DELETING";
    FirewallRuleGroupStatus["UPDATING"] = "UPDATING";
})(FirewallRuleGroupStatus || (FirewallRuleGroupStatus = {}));
export var FirewallRuleGroup;
(function (FirewallRuleGroup) {
    FirewallRuleGroup.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(FirewallRuleGroup || (FirewallRuleGroup = {}));
export var CreateFirewallRuleGroupResponse;
(function (CreateFirewallRuleGroupResponse) {
    CreateFirewallRuleGroupResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateFirewallRuleGroupResponse || (CreateFirewallRuleGroupResponse = {}));
export var IpAddressRequest;
(function (IpAddressRequest) {
    IpAddressRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(IpAddressRequest || (IpAddressRequest = {}));
export var CreateResolverEndpointRequest;
(function (CreateResolverEndpointRequest) {
    CreateResolverEndpointRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateResolverEndpointRequest || (CreateResolverEndpointRequest = {}));
export var CreateResolverEndpointResponse;
(function (CreateResolverEndpointResponse) {
    CreateResolverEndpointResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateResolverEndpointResponse || (CreateResolverEndpointResponse = {}));
export var CreateResolverQueryLogConfigRequest;
(function (CreateResolverQueryLogConfigRequest) {
    CreateResolverQueryLogConfigRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateResolverQueryLogConfigRequest || (CreateResolverQueryLogConfigRequest = {}));
export var ResolverQueryLogConfigStatus;
(function (ResolverQueryLogConfigStatus) {
    ResolverQueryLogConfigStatus["Created"] = "CREATED";
    ResolverQueryLogConfigStatus["Creating"] = "CREATING";
    ResolverQueryLogConfigStatus["Deleting"] = "DELETING";
    ResolverQueryLogConfigStatus["Failed"] = "FAILED";
})(ResolverQueryLogConfigStatus || (ResolverQueryLogConfigStatus = {}));
export var ResolverQueryLogConfig;
(function (ResolverQueryLogConfig) {
    ResolverQueryLogConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ResolverQueryLogConfig || (ResolverQueryLogConfig = {}));
export var CreateResolverQueryLogConfigResponse;
(function (CreateResolverQueryLogConfigResponse) {
    CreateResolverQueryLogConfigResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateResolverQueryLogConfigResponse || (CreateResolverQueryLogConfigResponse = {}));
export var RuleTypeOption;
(function (RuleTypeOption) {
    RuleTypeOption["Forward"] = "FORWARD";
    RuleTypeOption["Recursive"] = "RECURSIVE";
    RuleTypeOption["System"] = "SYSTEM";
})(RuleTypeOption || (RuleTypeOption = {}));
export var TargetAddress;
(function (TargetAddress) {
    TargetAddress.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TargetAddress || (TargetAddress = {}));
export var CreateResolverRuleRequest;
(function (CreateResolverRuleRequest) {
    CreateResolverRuleRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateResolverRuleRequest || (CreateResolverRuleRequest = {}));
export var ResolverRuleStatus;
(function (ResolverRuleStatus) {
    ResolverRuleStatus["Complete"] = "COMPLETE";
    ResolverRuleStatus["Deleting"] = "DELETING";
    ResolverRuleStatus["Failed"] = "FAILED";
    ResolverRuleStatus["Updating"] = "UPDATING";
})(ResolverRuleStatus || (ResolverRuleStatus = {}));
export var ResolverRule;
(function (ResolverRule) {
    ResolverRule.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ResolverRule || (ResolverRule = {}));
export var CreateResolverRuleResponse;
(function (CreateResolverRuleResponse) {
    CreateResolverRuleResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateResolverRuleResponse || (CreateResolverRuleResponse = {}));
export var DeleteFirewallDomainListRequest;
(function (DeleteFirewallDomainListRequest) {
    DeleteFirewallDomainListRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteFirewallDomainListRequest || (DeleteFirewallDomainListRequest = {}));
export var DeleteFirewallDomainListResponse;
(function (DeleteFirewallDomainListResponse) {
    DeleteFirewallDomainListResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteFirewallDomainListResponse || (DeleteFirewallDomainListResponse = {}));
export var DeleteFirewallRuleRequest;
(function (DeleteFirewallRuleRequest) {
    DeleteFirewallRuleRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteFirewallRuleRequest || (DeleteFirewallRuleRequest = {}));
export var DeleteFirewallRuleResponse;
(function (DeleteFirewallRuleResponse) {
    DeleteFirewallRuleResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteFirewallRuleResponse || (DeleteFirewallRuleResponse = {}));
export var DeleteFirewallRuleGroupRequest;
(function (DeleteFirewallRuleGroupRequest) {
    DeleteFirewallRuleGroupRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteFirewallRuleGroupRequest || (DeleteFirewallRuleGroupRequest = {}));
export var DeleteFirewallRuleGroupResponse;
(function (DeleteFirewallRuleGroupResponse) {
    DeleteFirewallRuleGroupResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteFirewallRuleGroupResponse || (DeleteFirewallRuleGroupResponse = {}));
export var DeleteResolverEndpointRequest;
(function (DeleteResolverEndpointRequest) {
    DeleteResolverEndpointRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteResolverEndpointRequest || (DeleteResolverEndpointRequest = {}));
export var DeleteResolverEndpointResponse;
(function (DeleteResolverEndpointResponse) {
    DeleteResolverEndpointResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteResolverEndpointResponse || (DeleteResolverEndpointResponse = {}));
export var DeleteResolverQueryLogConfigRequest;
(function (DeleteResolverQueryLogConfigRequest) {
    DeleteResolverQueryLogConfigRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteResolverQueryLogConfigRequest || (DeleteResolverQueryLogConfigRequest = {}));
export var DeleteResolverQueryLogConfigResponse;
(function (DeleteResolverQueryLogConfigResponse) {
    DeleteResolverQueryLogConfigResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteResolverQueryLogConfigResponse || (DeleteResolverQueryLogConfigResponse = {}));
export var DeleteResolverRuleRequest;
(function (DeleteResolverRuleRequest) {
    DeleteResolverRuleRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteResolverRuleRequest || (DeleteResolverRuleRequest = {}));
export var DeleteResolverRuleResponse;
(function (DeleteResolverRuleResponse) {
    DeleteResolverRuleResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteResolverRuleResponse || (DeleteResolverRuleResponse = {}));
var ResourceInUseException = (function (_super) {
    __extends(ResourceInUseException, _super);
    function ResourceInUseException(opts) {
        var _this = _super.call(this, __assign({ name: "ResourceInUseException", $fault: "client" }, opts)) || this;
        _this.name = "ResourceInUseException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ResourceInUseException.prototype);
        _this.Message = opts.Message;
        _this.ResourceType = opts.ResourceType;
        return _this;
    }
    return ResourceInUseException;
}(__BaseException));
export { ResourceInUseException };
export var DisassociateFirewallRuleGroupRequest;
(function (DisassociateFirewallRuleGroupRequest) {
    DisassociateFirewallRuleGroupRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DisassociateFirewallRuleGroupRequest || (DisassociateFirewallRuleGroupRequest = {}));
export var DisassociateFirewallRuleGroupResponse;
(function (DisassociateFirewallRuleGroupResponse) {
    DisassociateFirewallRuleGroupResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DisassociateFirewallRuleGroupResponse || (DisassociateFirewallRuleGroupResponse = {}));
export var DisassociateResolverEndpointIpAddressRequest;
(function (DisassociateResolverEndpointIpAddressRequest) {
    DisassociateResolverEndpointIpAddressRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DisassociateResolverEndpointIpAddressRequest || (DisassociateResolverEndpointIpAddressRequest = {}));
export var DisassociateResolverEndpointIpAddressResponse;
(function (DisassociateResolverEndpointIpAddressResponse) {
    DisassociateResolverEndpointIpAddressResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DisassociateResolverEndpointIpAddressResponse || (DisassociateResolverEndpointIpAddressResponse = {}));
export var DisassociateResolverQueryLogConfigRequest;
(function (DisassociateResolverQueryLogConfigRequest) {
    DisassociateResolverQueryLogConfigRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DisassociateResolverQueryLogConfigRequest || (DisassociateResolverQueryLogConfigRequest = {}));
export var DisassociateResolverQueryLogConfigResponse;
(function (DisassociateResolverQueryLogConfigResponse) {
    DisassociateResolverQueryLogConfigResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DisassociateResolverQueryLogConfigResponse || (DisassociateResolverQueryLogConfigResponse = {}));
export var DisassociateResolverRuleRequest;
(function (DisassociateResolverRuleRequest) {
    DisassociateResolverRuleRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DisassociateResolverRuleRequest || (DisassociateResolverRuleRequest = {}));
export var DisassociateResolverRuleResponse;
(function (DisassociateResolverRuleResponse) {
    DisassociateResolverRuleResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DisassociateResolverRuleResponse || (DisassociateResolverRuleResponse = {}));
export var Filter;
(function (Filter) {
    Filter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Filter || (Filter = {}));
export var FirewallFailOpenStatus;
(function (FirewallFailOpenStatus) {
    FirewallFailOpenStatus["DISABLED"] = "DISABLED";
    FirewallFailOpenStatus["ENABLED"] = "ENABLED";
})(FirewallFailOpenStatus || (FirewallFailOpenStatus = {}));
export var FirewallConfig;
(function (FirewallConfig) {
    FirewallConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(FirewallConfig || (FirewallConfig = {}));
export var FirewallDomainImportOperation;
(function (FirewallDomainImportOperation) {
    FirewallDomainImportOperation["REPLACE"] = "REPLACE";
})(FirewallDomainImportOperation || (FirewallDomainImportOperation = {}));
export var FirewallDomainListMetadata;
(function (FirewallDomainListMetadata) {
    FirewallDomainListMetadata.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(FirewallDomainListMetadata || (FirewallDomainListMetadata = {}));
export var FirewallDomainUpdateOperation;
(function (FirewallDomainUpdateOperation) {
    FirewallDomainUpdateOperation["ADD"] = "ADD";
    FirewallDomainUpdateOperation["REMOVE"] = "REMOVE";
    FirewallDomainUpdateOperation["REPLACE"] = "REPLACE";
})(FirewallDomainUpdateOperation || (FirewallDomainUpdateOperation = {}));
export var FirewallRuleGroupMetadata;
(function (FirewallRuleGroupMetadata) {
    FirewallRuleGroupMetadata.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(FirewallRuleGroupMetadata || (FirewallRuleGroupMetadata = {}));
export var GetFirewallConfigRequest;
(function (GetFirewallConfigRequest) {
    GetFirewallConfigRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetFirewallConfigRequest || (GetFirewallConfigRequest = {}));
export var GetFirewallConfigResponse;
(function (GetFirewallConfigResponse) {
    GetFirewallConfigResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetFirewallConfigResponse || (GetFirewallConfigResponse = {}));
export var GetFirewallDomainListRequest;
(function (GetFirewallDomainListRequest) {
    GetFirewallDomainListRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetFirewallDomainListRequest || (GetFirewallDomainListRequest = {}));
export var GetFirewallDomainListResponse;
(function (GetFirewallDomainListResponse) {
    GetFirewallDomainListResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetFirewallDomainListResponse || (GetFirewallDomainListResponse = {}));
export var GetFirewallRuleGroupRequest;
(function (GetFirewallRuleGroupRequest) {
    GetFirewallRuleGroupRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetFirewallRuleGroupRequest || (GetFirewallRuleGroupRequest = {}));
export var GetFirewallRuleGroupResponse;
(function (GetFirewallRuleGroupResponse) {
    GetFirewallRuleGroupResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetFirewallRuleGroupResponse || (GetFirewallRuleGroupResponse = {}));
export var GetFirewallRuleGroupAssociationRequest;
(function (GetFirewallRuleGroupAssociationRequest) {
    GetFirewallRuleGroupAssociationRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetFirewallRuleGroupAssociationRequest || (GetFirewallRuleGroupAssociationRequest = {}));
export var GetFirewallRuleGroupAssociationResponse;
(function (GetFirewallRuleGroupAssociationResponse) {
    GetFirewallRuleGroupAssociationResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetFirewallRuleGroupAssociationResponse || (GetFirewallRuleGroupAssociationResponse = {}));
export var GetFirewallRuleGroupPolicyRequest;
(function (GetFirewallRuleGroupPolicyRequest) {
    GetFirewallRuleGroupPolicyRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetFirewallRuleGroupPolicyRequest || (GetFirewallRuleGroupPolicyRequest = {}));
export var GetFirewallRuleGroupPolicyResponse;
(function (GetFirewallRuleGroupPolicyResponse) {
    GetFirewallRuleGroupPolicyResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetFirewallRuleGroupPolicyResponse || (GetFirewallRuleGroupPolicyResponse = {}));
export var GetResolverConfigRequest;
(function (GetResolverConfigRequest) {
    GetResolverConfigRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetResolverConfigRequest || (GetResolverConfigRequest = {}));
export var ResolverAutodefinedReverseStatus;
(function (ResolverAutodefinedReverseStatus) {
    ResolverAutodefinedReverseStatus["Disabled"] = "DISABLED";
    ResolverAutodefinedReverseStatus["Disabling"] = "DISABLING";
    ResolverAutodefinedReverseStatus["Enabled"] = "ENABLED";
    ResolverAutodefinedReverseStatus["Enabling"] = "ENABLING";
})(ResolverAutodefinedReverseStatus || (ResolverAutodefinedReverseStatus = {}));
export var ResolverConfig;
(function (ResolverConfig) {
    ResolverConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ResolverConfig || (ResolverConfig = {}));
export var GetResolverConfigResponse;
(function (GetResolverConfigResponse) {
    GetResolverConfigResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetResolverConfigResponse || (GetResolverConfigResponse = {}));
export var GetResolverDnssecConfigRequest;
(function (GetResolverDnssecConfigRequest) {
    GetResolverDnssecConfigRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetResolverDnssecConfigRequest || (GetResolverDnssecConfigRequest = {}));
export var ResolverDNSSECValidationStatus;
(function (ResolverDNSSECValidationStatus) {
    ResolverDNSSECValidationStatus["Disabled"] = "DISABLED";
    ResolverDNSSECValidationStatus["Disabling"] = "DISABLING";
    ResolverDNSSECValidationStatus["Enabled"] = "ENABLED";
    ResolverDNSSECValidationStatus["Enabling"] = "ENABLING";
})(ResolverDNSSECValidationStatus || (ResolverDNSSECValidationStatus = {}));
export var ResolverDnssecConfig;
(function (ResolverDnssecConfig) {
    ResolverDnssecConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ResolverDnssecConfig || (ResolverDnssecConfig = {}));
export var GetResolverDnssecConfigResponse;
(function (GetResolverDnssecConfigResponse) {
    GetResolverDnssecConfigResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetResolverDnssecConfigResponse || (GetResolverDnssecConfigResponse = {}));
export var GetResolverEndpointRequest;
(function (GetResolverEndpointRequest) {
    GetResolverEndpointRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetResolverEndpointRequest || (GetResolverEndpointRequest = {}));
export var GetResolverEndpointResponse;
(function (GetResolverEndpointResponse) {
    GetResolverEndpointResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetResolverEndpointResponse || (GetResolverEndpointResponse = {}));
export var GetResolverQueryLogConfigRequest;
(function (GetResolverQueryLogConfigRequest) {
    GetResolverQueryLogConfigRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetResolverQueryLogConfigRequest || (GetResolverQueryLogConfigRequest = {}));
export var GetResolverQueryLogConfigResponse;
(function (GetResolverQueryLogConfigResponse) {
    GetResolverQueryLogConfigResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetResolverQueryLogConfigResponse || (GetResolverQueryLogConfigResponse = {}));
export var GetResolverQueryLogConfigAssociationRequest;
(function (GetResolverQueryLogConfigAssociationRequest) {
    GetResolverQueryLogConfigAssociationRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetResolverQueryLogConfigAssociationRequest || (GetResolverQueryLogConfigAssociationRequest = {}));
export var GetResolverQueryLogConfigAssociationResponse;
(function (GetResolverQueryLogConfigAssociationResponse) {
    GetResolverQueryLogConfigAssociationResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetResolverQueryLogConfigAssociationResponse || (GetResolverQueryLogConfigAssociationResponse = {}));
export var GetResolverQueryLogConfigPolicyRequest;
(function (GetResolverQueryLogConfigPolicyRequest) {
    GetResolverQueryLogConfigPolicyRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetResolverQueryLogConfigPolicyRequest || (GetResolverQueryLogConfigPolicyRequest = {}));
export var GetResolverQueryLogConfigPolicyResponse;
(function (GetResolverQueryLogConfigPolicyResponse) {
    GetResolverQueryLogConfigPolicyResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetResolverQueryLogConfigPolicyResponse || (GetResolverQueryLogConfigPolicyResponse = {}));
var UnknownResourceException = (function (_super) {
    __extends(UnknownResourceException, _super);
    function UnknownResourceException(opts) {
        var _this = _super.call(this, __assign({ name: "UnknownResourceException", $fault: "client" }, opts)) || this;
        _this.name = "UnknownResourceException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, UnknownResourceException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return UnknownResourceException;
}(__BaseException));
export { UnknownResourceException };
export var GetResolverRuleRequest;
(function (GetResolverRuleRequest) {
    GetResolverRuleRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetResolverRuleRequest || (GetResolverRuleRequest = {}));
export var GetResolverRuleResponse;
(function (GetResolverRuleResponse) {
    GetResolverRuleResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetResolverRuleResponse || (GetResolverRuleResponse = {}));
export var GetResolverRuleAssociationRequest;
(function (GetResolverRuleAssociationRequest) {
    GetResolverRuleAssociationRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetResolverRuleAssociationRequest || (GetResolverRuleAssociationRequest = {}));
export var GetResolverRuleAssociationResponse;
(function (GetResolverRuleAssociationResponse) {
    GetResolverRuleAssociationResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetResolverRuleAssociationResponse || (GetResolverRuleAssociationResponse = {}));
export var GetResolverRulePolicyRequest;
(function (GetResolverRulePolicyRequest) {
    GetResolverRulePolicyRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetResolverRulePolicyRequest || (GetResolverRulePolicyRequest = {}));
export var GetResolverRulePolicyResponse;
(function (GetResolverRulePolicyResponse) {
    GetResolverRulePolicyResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetResolverRulePolicyResponse || (GetResolverRulePolicyResponse = {}));
export var ImportFirewallDomainsRequest;
(function (ImportFirewallDomainsRequest) {
    ImportFirewallDomainsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ImportFirewallDomainsRequest || (ImportFirewallDomainsRequest = {}));
export var ImportFirewallDomainsResponse;
(function (ImportFirewallDomainsResponse) {
    ImportFirewallDomainsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ImportFirewallDomainsResponse || (ImportFirewallDomainsResponse = {}));
var InvalidNextTokenException = (function (_super) {
    __extends(InvalidNextTokenException, _super);
    function InvalidNextTokenException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidNextTokenException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidNextTokenException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidNextTokenException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return InvalidNextTokenException;
}(__BaseException));
export { InvalidNextTokenException };
var InvalidPolicyDocument = (function (_super) {
    __extends(InvalidPolicyDocument, _super);
    function InvalidPolicyDocument(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidPolicyDocument", $fault: "client" }, opts)) || this;
        _this.name = "InvalidPolicyDocument";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidPolicyDocument.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return InvalidPolicyDocument;
}(__BaseException));
export { InvalidPolicyDocument };
var InvalidTagException = (function (_super) {
    __extends(InvalidTagException, _super);
    function InvalidTagException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidTagException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidTagException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidTagException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return InvalidTagException;
}(__BaseException));
export { InvalidTagException };
export var IpAddressStatus;
(function (IpAddressStatus) {
    IpAddressStatus["Attached"] = "ATTACHED";
    IpAddressStatus["Attaching"] = "ATTACHING";
    IpAddressStatus["Creating"] = "CREATING";
    IpAddressStatus["DeleteFailedFasExpired"] = "DELETE_FAILED_FAS_EXPIRED";
    IpAddressStatus["Deleting"] = "DELETING";
    IpAddressStatus["Detaching"] = "DETACHING";
    IpAddressStatus["FailedCreation"] = "FAILED_CREATION";
    IpAddressStatus["FailedResourceGone"] = "FAILED_RESOURCE_GONE";
    IpAddressStatus["RemapAttaching"] = "REMAP_ATTACHING";
    IpAddressStatus["RemapDetaching"] = "REMAP_DETACHING";
})(IpAddressStatus || (IpAddressStatus = {}));
export var IpAddressResponse;
(function (IpAddressResponse) {
    IpAddressResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(IpAddressResponse || (IpAddressResponse = {}));
export var ListFirewallConfigsRequest;
(function (ListFirewallConfigsRequest) {
    ListFirewallConfigsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListFirewallConfigsRequest || (ListFirewallConfigsRequest = {}));
export var ListFirewallConfigsResponse;
(function (ListFirewallConfigsResponse) {
    ListFirewallConfigsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListFirewallConfigsResponse || (ListFirewallConfigsResponse = {}));
export var ListFirewallDomainListsRequest;
(function (ListFirewallDomainListsRequest) {
    ListFirewallDomainListsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListFirewallDomainListsRequest || (ListFirewallDomainListsRequest = {}));
export var ListFirewallDomainListsResponse;
(function (ListFirewallDomainListsResponse) {
    ListFirewallDomainListsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListFirewallDomainListsResponse || (ListFirewallDomainListsResponse = {}));
export var ListFirewallDomainsRequest;
(function (ListFirewallDomainsRequest) {
    ListFirewallDomainsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListFirewallDomainsRequest || (ListFirewallDomainsRequest = {}));
export var ListFirewallDomainsResponse;
(function (ListFirewallDomainsResponse) {
    ListFirewallDomainsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListFirewallDomainsResponse || (ListFirewallDomainsResponse = {}));
export var ListFirewallRuleGroupAssociationsRequest;
(function (ListFirewallRuleGroupAssociationsRequest) {
    ListFirewallRuleGroupAssociationsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListFirewallRuleGroupAssociationsRequest || (ListFirewallRuleGroupAssociationsRequest = {}));
export var ListFirewallRuleGroupAssociationsResponse;
(function (ListFirewallRuleGroupAssociationsResponse) {
    ListFirewallRuleGroupAssociationsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListFirewallRuleGroupAssociationsResponse || (ListFirewallRuleGroupAssociationsResponse = {}));
export var ListFirewallRuleGroupsRequest;
(function (ListFirewallRuleGroupsRequest) {
    ListFirewallRuleGroupsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListFirewallRuleGroupsRequest || (ListFirewallRuleGroupsRequest = {}));
export var ListFirewallRuleGroupsResponse;
(function (ListFirewallRuleGroupsResponse) {
    ListFirewallRuleGroupsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListFirewallRuleGroupsResponse || (ListFirewallRuleGroupsResponse = {}));
export var ListFirewallRulesRequest;
(function (ListFirewallRulesRequest) {
    ListFirewallRulesRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListFirewallRulesRequest || (ListFirewallRulesRequest = {}));
export var ListFirewallRulesResponse;
(function (ListFirewallRulesResponse) {
    ListFirewallRulesResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListFirewallRulesResponse || (ListFirewallRulesResponse = {}));
export var ListResolverConfigsRequest;
(function (ListResolverConfigsRequest) {
    ListResolverConfigsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListResolverConfigsRequest || (ListResolverConfigsRequest = {}));
export var ListResolverConfigsResponse;
(function (ListResolverConfigsResponse) {
    ListResolverConfigsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListResolverConfigsResponse || (ListResolverConfigsResponse = {}));
export var ListResolverDnssecConfigsRequest;
(function (ListResolverDnssecConfigsRequest) {
    ListResolverDnssecConfigsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListResolverDnssecConfigsRequest || (ListResolverDnssecConfigsRequest = {}));
export var ListResolverDnssecConfigsResponse;
(function (ListResolverDnssecConfigsResponse) {
    ListResolverDnssecConfigsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListResolverDnssecConfigsResponse || (ListResolverDnssecConfigsResponse = {}));
export var ListResolverEndpointIpAddressesRequest;
(function (ListResolverEndpointIpAddressesRequest) {
    ListResolverEndpointIpAddressesRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListResolverEndpointIpAddressesRequest || (ListResolverEndpointIpAddressesRequest = {}));
export var ListResolverEndpointIpAddressesResponse;
(function (ListResolverEndpointIpAddressesResponse) {
    ListResolverEndpointIpAddressesResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListResolverEndpointIpAddressesResponse || (ListResolverEndpointIpAddressesResponse = {}));
export var ListResolverEndpointsRequest;
(function (ListResolverEndpointsRequest) {
    ListResolverEndpointsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListResolverEndpointsRequest || (ListResolverEndpointsRequest = {}));
export var ListResolverEndpointsResponse;
(function (ListResolverEndpointsResponse) {
    ListResolverEndpointsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListResolverEndpointsResponse || (ListResolverEndpointsResponse = {}));
export var SortOrder;
(function (SortOrder) {
    SortOrder["Ascending"] = "ASCENDING";
    SortOrder["Descending"] = "DESCENDING";
})(SortOrder || (SortOrder = {}));
export var ListResolverQueryLogConfigAssociationsRequest;
(function (ListResolverQueryLogConfigAssociationsRequest) {
    ListResolverQueryLogConfigAssociationsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListResolverQueryLogConfigAssociationsRequest || (ListResolverQueryLogConfigAssociationsRequest = {}));
export var ListResolverQueryLogConfigAssociationsResponse;
(function (ListResolverQueryLogConfigAssociationsResponse) {
    ListResolverQueryLogConfigAssociationsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListResolverQueryLogConfigAssociationsResponse || (ListResolverQueryLogConfigAssociationsResponse = {}));
export var ListResolverQueryLogConfigsRequest;
(function (ListResolverQueryLogConfigsRequest) {
    ListResolverQueryLogConfigsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListResolverQueryLogConfigsRequest || (ListResolverQueryLogConfigsRequest = {}));
export var ListResolverQueryLogConfigsResponse;
(function (ListResolverQueryLogConfigsResponse) {
    ListResolverQueryLogConfigsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListResolverQueryLogConfigsResponse || (ListResolverQueryLogConfigsResponse = {}));
export var ListResolverRuleAssociationsRequest;
(function (ListResolverRuleAssociationsRequest) {
    ListResolverRuleAssociationsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListResolverRuleAssociationsRequest || (ListResolverRuleAssociationsRequest = {}));
export var ListResolverRuleAssociationsResponse;
(function (ListResolverRuleAssociationsResponse) {
    ListResolverRuleAssociationsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListResolverRuleAssociationsResponse || (ListResolverRuleAssociationsResponse = {}));
export var ListResolverRulesRequest;
(function (ListResolverRulesRequest) {
    ListResolverRulesRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListResolverRulesRequest || (ListResolverRulesRequest = {}));
export var ListResolverRulesResponse;
(function (ListResolverRulesResponse) {
    ListResolverRulesResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListResolverRulesResponse || (ListResolverRulesResponse = {}));
export var ListTagsForResourceRequest;
(function (ListTagsForResourceRequest) {
    ListTagsForResourceRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTagsForResourceRequest || (ListTagsForResourceRequest = {}));
export var ListTagsForResourceResponse;
(function (ListTagsForResourceResponse) {
    ListTagsForResourceResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTagsForResourceResponse || (ListTagsForResourceResponse = {}));
export var PutFirewallRuleGroupPolicyRequest;
(function (PutFirewallRuleGroupPolicyRequest) {
    PutFirewallRuleGroupPolicyRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutFirewallRuleGroupPolicyRequest || (PutFirewallRuleGroupPolicyRequest = {}));
export var PutFirewallRuleGroupPolicyResponse;
(function (PutFirewallRuleGroupPolicyResponse) {
    PutFirewallRuleGroupPolicyResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutFirewallRuleGroupPolicyResponse || (PutFirewallRuleGroupPolicyResponse = {}));
export var PutResolverQueryLogConfigPolicyRequest;
(function (PutResolverQueryLogConfigPolicyRequest) {
    PutResolverQueryLogConfigPolicyRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutResolverQueryLogConfigPolicyRequest || (PutResolverQueryLogConfigPolicyRequest = {}));
export var PutResolverQueryLogConfigPolicyResponse;
(function (PutResolverQueryLogConfigPolicyResponse) {
    PutResolverQueryLogConfigPolicyResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutResolverQueryLogConfigPolicyResponse || (PutResolverQueryLogConfigPolicyResponse = {}));
export var PutResolverRulePolicyRequest;
(function (PutResolverRulePolicyRequest) {
    PutResolverRulePolicyRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutResolverRulePolicyRequest || (PutResolverRulePolicyRequest = {}));
export var PutResolverRulePolicyResponse;
(function (PutResolverRulePolicyResponse) {
    PutResolverRulePolicyResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutResolverRulePolicyResponse || (PutResolverRulePolicyResponse = {}));
export var ResolverRuleConfig;
(function (ResolverRuleConfig) {
    ResolverRuleConfig.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ResolverRuleConfig || (ResolverRuleConfig = {}));
export var TagResourceRequest;
(function (TagResourceRequest) {
    TagResourceRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TagResourceRequest || (TagResourceRequest = {}));
export var TagResourceResponse;
(function (TagResourceResponse) {
    TagResourceResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TagResourceResponse || (TagResourceResponse = {}));
export var UntagResourceRequest;
(function (UntagResourceRequest) {
    UntagResourceRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UntagResourceRequest || (UntagResourceRequest = {}));
export var UntagResourceResponse;
(function (UntagResourceResponse) {
    UntagResourceResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UntagResourceResponse || (UntagResourceResponse = {}));
export var UpdateFirewallConfigRequest;
(function (UpdateFirewallConfigRequest) {
    UpdateFirewallConfigRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateFirewallConfigRequest || (UpdateFirewallConfigRequest = {}));
export var UpdateFirewallConfigResponse;
(function (UpdateFirewallConfigResponse) {
    UpdateFirewallConfigResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateFirewallConfigResponse || (UpdateFirewallConfigResponse = {}));
export var UpdateFirewallDomainsRequest;
(function (UpdateFirewallDomainsRequest) {
    UpdateFirewallDomainsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateFirewallDomainsRequest || (UpdateFirewallDomainsRequest = {}));
export var UpdateFirewallDomainsResponse;
(function (UpdateFirewallDomainsResponse) {
    UpdateFirewallDomainsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateFirewallDomainsResponse || (UpdateFirewallDomainsResponse = {}));
export var UpdateFirewallRuleRequest;
(function (UpdateFirewallRuleRequest) {
    UpdateFirewallRuleRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateFirewallRuleRequest || (UpdateFirewallRuleRequest = {}));
export var UpdateFirewallRuleResponse;
(function (UpdateFirewallRuleResponse) {
    UpdateFirewallRuleResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateFirewallRuleResponse || (UpdateFirewallRuleResponse = {}));
export var UpdateFirewallRuleGroupAssociationRequest;
(function (UpdateFirewallRuleGroupAssociationRequest) {
    UpdateFirewallRuleGroupAssociationRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateFirewallRuleGroupAssociationRequest || (UpdateFirewallRuleGroupAssociationRequest = {}));
export var UpdateFirewallRuleGroupAssociationResponse;
(function (UpdateFirewallRuleGroupAssociationResponse) {
    UpdateFirewallRuleGroupAssociationResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateFirewallRuleGroupAssociationResponse || (UpdateFirewallRuleGroupAssociationResponse = {}));
export var UpdateResolverConfigRequest;
(function (UpdateResolverConfigRequest) {
    UpdateResolverConfigRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateResolverConfigRequest || (UpdateResolverConfigRequest = {}));
export var UpdateResolverConfigResponse;
(function (UpdateResolverConfigResponse) {
    UpdateResolverConfigResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateResolverConfigResponse || (UpdateResolverConfigResponse = {}));
export var Validation;
(function (Validation) {
    Validation["DISABLE"] = "DISABLE";
    Validation["ENABLE"] = "ENABLE";
})(Validation || (Validation = {}));
export var UpdateResolverDnssecConfigRequest;
(function (UpdateResolverDnssecConfigRequest) {
    UpdateResolverDnssecConfigRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateResolverDnssecConfigRequest || (UpdateResolverDnssecConfigRequest = {}));
export var UpdateResolverDnssecConfigResponse;
(function (UpdateResolverDnssecConfigResponse) {
    UpdateResolverDnssecConfigResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateResolverDnssecConfigResponse || (UpdateResolverDnssecConfigResponse = {}));
export var UpdateResolverEndpointRequest;
(function (UpdateResolverEndpointRequest) {
    UpdateResolverEndpointRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateResolverEndpointRequest || (UpdateResolverEndpointRequest = {}));
export var UpdateResolverEndpointResponse;
(function (UpdateResolverEndpointResponse) {
    UpdateResolverEndpointResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateResolverEndpointResponse || (UpdateResolverEndpointResponse = {}));
export var UpdateResolverRuleRequest;
(function (UpdateResolverRuleRequest) {
    UpdateResolverRuleRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateResolverRuleRequest || (UpdateResolverRuleRequest = {}));
export var UpdateResolverRuleResponse;
(function (UpdateResolverRuleResponse) {
    UpdateResolverRuleResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateResolverRuleResponse || (UpdateResolverRuleResponse = {}));
