import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@aws-sdk/protocol-http";
import { SerdeContext as __SerdeContext } from "@aws-sdk/types";
import { AssociateFirewallRuleGroupCommandInput, AssociateFirewallRuleGroupCommandOutput } from "../commands/AssociateFirewallRuleGroupCommand";
import { AssociateResolverEndpointIpAddressCommandInput, AssociateResolverEndpointIpAddressCommandOutput } from "../commands/AssociateResolverEndpointIpAddressCommand";
import { AssociateResolverQueryLogConfigCommandInput, AssociateResolverQueryLogConfigCommandOutput } from "../commands/AssociateResolverQueryLogConfigCommand";
import { AssociateResolverRuleCommandInput, AssociateResolverRuleCommandOutput } from "../commands/AssociateResolverRuleCommand";
import { CreateFirewallDomainListCommandInput, CreateFirewallDomainListCommandOutput } from "../commands/CreateFirewallDomainListCommand";
import { CreateFirewallRuleCommandInput, CreateFirewallRuleCommandOutput } from "../commands/CreateFirewallRuleCommand";
import { CreateFirewallRuleGroupCommandInput, CreateFirewallRuleGroupCommandOutput } from "../commands/CreateFirewallRuleGroupCommand";
import { CreateResolverEndpointCommandInput, CreateResolverEndpointCommandOutput } from "../commands/CreateResolverEndpointCommand";
import { CreateResolverQueryLogConfigCommandInput, CreateResolverQueryLogConfigCommandOutput } from "../commands/CreateResolverQueryLogConfigCommand";
import { CreateResolverRuleCommandInput, CreateResolverRuleCommandOutput } from "../commands/CreateResolverRuleCommand";
import { DeleteFirewallDomainListCommandInput, DeleteFirewallDomainListCommandOutput } from "../commands/DeleteFirewallDomainListCommand";
import { DeleteFirewallRuleCommandInput, DeleteFirewallRuleCommandOutput } from "../commands/DeleteFirewallRuleCommand";
import { DeleteFirewallRuleGroupCommandInput, DeleteFirewallRuleGroupCommandOutput } from "../commands/DeleteFirewallRuleGroupCommand";
import { DeleteResolverEndpointCommandInput, DeleteResolverEndpointCommandOutput } from "../commands/DeleteResolverEndpointCommand";
import { DeleteResolverQueryLogConfigCommandInput, DeleteResolverQueryLogConfigCommandOutput } from "../commands/DeleteResolverQueryLogConfigCommand";
import { DeleteResolverRuleCommandInput, DeleteResolverRuleCommandOutput } from "../commands/DeleteResolverRuleCommand";
import { DisassociateFirewallRuleGroupCommandInput, DisassociateFirewallRuleGroupCommandOutput } from "../commands/DisassociateFirewallRuleGroupCommand";
import { DisassociateResolverEndpointIpAddressCommandInput, DisassociateResolverEndpointIpAddressCommandOutput } from "../commands/DisassociateResolverEndpointIpAddressCommand";
import { DisassociateResolverQueryLogConfigCommandInput, DisassociateResolverQueryLogConfigCommandOutput } from "../commands/DisassociateResolverQueryLogConfigCommand";
import { DisassociateResolverRuleCommandInput, DisassociateResolverRuleCommandOutput } from "../commands/DisassociateResolverRuleCommand";
import { GetFirewallConfigCommandInput, GetFirewallConfigCommandOutput } from "../commands/GetFirewallConfigCommand";
import { GetFirewallDomainListCommandInput, GetFirewallDomainListCommandOutput } from "../commands/GetFirewallDomainListCommand";
import { GetFirewallRuleGroupAssociationCommandInput, GetFirewallRuleGroupAssociationCommandOutput } from "../commands/GetFirewallRuleGroupAssociationCommand";
import { GetFirewallRuleGroupCommandInput, GetFirewallRuleGroupCommandOutput } from "../commands/GetFirewallRuleGroupCommand";
import { GetFirewallRuleGroupPolicyCommandInput, GetFirewallRuleGroupPolicyCommandOutput } from "../commands/GetFirewallRuleGroupPolicyCommand";
import { GetResolverConfigCommandInput, GetResolverConfigCommandOutput } from "../commands/GetResolverConfigCommand";
import { GetResolverDnssecConfigCommandInput, GetResolverDnssecConfigCommandOutput } from "../commands/GetResolverDnssecConfigCommand";
import { GetResolverEndpointCommandInput, GetResolverEndpointCommandOutput } from "../commands/GetResolverEndpointCommand";
import { GetResolverQueryLogConfigAssociationCommandInput, GetResolverQueryLogConfigAssociationCommandOutput } from "../commands/GetResolverQueryLogConfigAssociationCommand";
import { GetResolverQueryLogConfigCommandInput, GetResolverQueryLogConfigCommandOutput } from "../commands/GetResolverQueryLogConfigCommand";
import { GetResolverQueryLogConfigPolicyCommandInput, GetResolverQueryLogConfigPolicyCommandOutput } from "../commands/GetResolverQueryLogConfigPolicyCommand";
import { GetResolverRuleAssociationCommandInput, GetResolverRuleAssociationCommandOutput } from "../commands/GetResolverRuleAssociationCommand";
import { GetResolverRuleCommandInput, GetResolverRuleCommandOutput } from "../commands/GetResolverRuleCommand";
import { GetResolverRulePolicyCommandInput, GetResolverRulePolicyCommandOutput } from "../commands/GetResolverRulePolicyCommand";
import { ImportFirewallDomainsCommandInput, ImportFirewallDomainsCommandOutput } from "../commands/ImportFirewallDomainsCommand";
import { ListFirewallConfigsCommandInput, ListFirewallConfigsCommandOutput } from "../commands/ListFirewallConfigsCommand";
import { ListFirewallDomainListsCommandInput, ListFirewallDomainListsCommandOutput } from "../commands/ListFirewallDomainListsCommand";
import { ListFirewallDomainsCommandInput, ListFirewallDomainsCommandOutput } from "../commands/ListFirewallDomainsCommand";
import { ListFirewallRuleGroupAssociationsCommandInput, ListFirewallRuleGroupAssociationsCommandOutput } from "../commands/ListFirewallRuleGroupAssociationsCommand";
import { ListFirewallRuleGroupsCommandInput, ListFirewallRuleGroupsCommandOutput } from "../commands/ListFirewallRuleGroupsCommand";
import { ListFirewallRulesCommandInput, ListFirewallRulesCommandOutput } from "../commands/ListFirewallRulesCommand";
import { ListResolverConfigsCommandInput, ListResolverConfigsCommandOutput } from "../commands/ListResolverConfigsCommand";
import { ListResolverDnssecConfigsCommandInput, ListResolverDnssecConfigsCommandOutput } from "../commands/ListResolverDnssecConfigsCommand";
import { ListResolverEndpointIpAddressesCommandInput, ListResolverEndpointIpAddressesCommandOutput } from "../commands/ListResolverEndpointIpAddressesCommand";
import { ListResolverEndpointsCommandInput, ListResolverEndpointsCommandOutput } from "../commands/ListResolverEndpointsCommand";
import { ListResolverQueryLogConfigAssociationsCommandInput, ListResolverQueryLogConfigAssociationsCommandOutput } from "../commands/ListResolverQueryLogConfigAssociationsCommand";
import { ListResolverQueryLogConfigsCommandInput, ListResolverQueryLogConfigsCommandOutput } from "../commands/ListResolverQueryLogConfigsCommand";
import { ListResolverRuleAssociationsCommandInput, ListResolverRuleAssociationsCommandOutput } from "../commands/ListResolverRuleAssociationsCommand";
import { ListResolverRulesCommandInput, ListResolverRulesCommandOutput } from "../commands/ListResolverRulesCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "../commands/ListTagsForResourceCommand";
import { PutFirewallRuleGroupPolicyCommandInput, PutFirewallRuleGroupPolicyCommandOutput } from "../commands/PutFirewallRuleGroupPolicyCommand";
import { PutResolverQueryLogConfigPolicyCommandInput, PutResolverQueryLogConfigPolicyCommandOutput } from "../commands/PutResolverQueryLogConfigPolicyCommand";
import { PutResolverRulePolicyCommandInput, PutResolverRulePolicyCommandOutput } from "../commands/PutResolverRulePolicyCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "../commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "../commands/UntagResourceCommand";
import { UpdateFirewallConfigCommandInput, UpdateFirewallConfigCommandOutput } from "../commands/UpdateFirewallConfigCommand";
import { UpdateFirewallDomainsCommandInput, UpdateFirewallDomainsCommandOutput } from "../commands/UpdateFirewallDomainsCommand";
import { UpdateFirewallRuleCommandInput, UpdateFirewallRuleCommandOutput } from "../commands/UpdateFirewallRuleCommand";
import { UpdateFirewallRuleGroupAssociationCommandInput, UpdateFirewallRuleGroupAssociationCommandOutput } from "../commands/UpdateFirewallRuleGroupAssociationCommand";
import { UpdateResolverConfigCommandInput, UpdateResolverConfigCommandOutput } from "../commands/UpdateResolverConfigCommand";
import { UpdateResolverDnssecConfigCommandInput, UpdateResolverDnssecConfigCommandOutput } from "../commands/UpdateResolverDnssecConfigCommand";
import { UpdateResolverEndpointCommandInput, UpdateResolverEndpointCommandOutput } from "../commands/UpdateResolverEndpointCommand";
import { UpdateResolverRuleCommandInput, UpdateResolverRuleCommandOutput } from "../commands/UpdateResolverRuleCommand";
export declare const serializeAws_json1_1AssociateFirewallRuleGroupCommand: (input: AssociateFirewallRuleGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1AssociateResolverEndpointIpAddressCommand: (input: AssociateResolverEndpointIpAddressCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1AssociateResolverQueryLogConfigCommand: (input: AssociateResolverQueryLogConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1AssociateResolverRuleCommand: (input: AssociateResolverRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateFirewallDomainListCommand: (input: CreateFirewallDomainListCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateFirewallRuleCommand: (input: CreateFirewallRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateFirewallRuleGroupCommand: (input: CreateFirewallRuleGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateResolverEndpointCommand: (input: CreateResolverEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateResolverQueryLogConfigCommand: (input: CreateResolverQueryLogConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateResolverRuleCommand: (input: CreateResolverRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteFirewallDomainListCommand: (input: DeleteFirewallDomainListCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteFirewallRuleCommand: (input: DeleteFirewallRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteFirewallRuleGroupCommand: (input: DeleteFirewallRuleGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteResolverEndpointCommand: (input: DeleteResolverEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteResolverQueryLogConfigCommand: (input: DeleteResolverQueryLogConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteResolverRuleCommand: (input: DeleteResolverRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DisassociateFirewallRuleGroupCommand: (input: DisassociateFirewallRuleGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DisassociateResolverEndpointIpAddressCommand: (input: DisassociateResolverEndpointIpAddressCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DisassociateResolverQueryLogConfigCommand: (input: DisassociateResolverQueryLogConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DisassociateResolverRuleCommand: (input: DisassociateResolverRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetFirewallConfigCommand: (input: GetFirewallConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetFirewallDomainListCommand: (input: GetFirewallDomainListCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetFirewallRuleGroupCommand: (input: GetFirewallRuleGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetFirewallRuleGroupAssociationCommand: (input: GetFirewallRuleGroupAssociationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetFirewallRuleGroupPolicyCommand: (input: GetFirewallRuleGroupPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetResolverConfigCommand: (input: GetResolverConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetResolverDnssecConfigCommand: (input: GetResolverDnssecConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetResolverEndpointCommand: (input: GetResolverEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetResolverQueryLogConfigCommand: (input: GetResolverQueryLogConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetResolverQueryLogConfigAssociationCommand: (input: GetResolverQueryLogConfigAssociationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetResolverQueryLogConfigPolicyCommand: (input: GetResolverQueryLogConfigPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetResolverRuleCommand: (input: GetResolverRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetResolverRuleAssociationCommand: (input: GetResolverRuleAssociationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetResolverRulePolicyCommand: (input: GetResolverRulePolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ImportFirewallDomainsCommand: (input: ImportFirewallDomainsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListFirewallConfigsCommand: (input: ListFirewallConfigsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListFirewallDomainListsCommand: (input: ListFirewallDomainListsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListFirewallDomainsCommand: (input: ListFirewallDomainsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListFirewallRuleGroupAssociationsCommand: (input: ListFirewallRuleGroupAssociationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListFirewallRuleGroupsCommand: (input: ListFirewallRuleGroupsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListFirewallRulesCommand: (input: ListFirewallRulesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListResolverConfigsCommand: (input: ListResolverConfigsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListResolverDnssecConfigsCommand: (input: ListResolverDnssecConfigsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListResolverEndpointIpAddressesCommand: (input: ListResolverEndpointIpAddressesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListResolverEndpointsCommand: (input: ListResolverEndpointsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListResolverQueryLogConfigAssociationsCommand: (input: ListResolverQueryLogConfigAssociationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListResolverQueryLogConfigsCommand: (input: ListResolverQueryLogConfigsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListResolverRuleAssociationsCommand: (input: ListResolverRuleAssociationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListResolverRulesCommand: (input: ListResolverRulesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListTagsForResourceCommand: (input: ListTagsForResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1PutFirewallRuleGroupPolicyCommand: (input: PutFirewallRuleGroupPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1PutResolverQueryLogConfigPolicyCommand: (input: PutResolverQueryLogConfigPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1PutResolverRulePolicyCommand: (input: PutResolverRulePolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1TagResourceCommand: (input: TagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UntagResourceCommand: (input: UntagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateFirewallConfigCommand: (input: UpdateFirewallConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateFirewallDomainsCommand: (input: UpdateFirewallDomainsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateFirewallRuleCommand: (input: UpdateFirewallRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateFirewallRuleGroupAssociationCommand: (input: UpdateFirewallRuleGroupAssociationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateResolverConfigCommand: (input: UpdateResolverConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateResolverDnssecConfigCommand: (input: UpdateResolverDnssecConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateResolverEndpointCommand: (input: UpdateResolverEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateResolverRuleCommand: (input: UpdateResolverRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const deserializeAws_json1_1AssociateFirewallRuleGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AssociateFirewallRuleGroupCommandOutput>;
export declare const deserializeAws_json1_1AssociateResolverEndpointIpAddressCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AssociateResolverEndpointIpAddressCommandOutput>;
export declare const deserializeAws_json1_1AssociateResolverQueryLogConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AssociateResolverQueryLogConfigCommandOutput>;
export declare const deserializeAws_json1_1AssociateResolverRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AssociateResolverRuleCommandOutput>;
export declare const deserializeAws_json1_1CreateFirewallDomainListCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateFirewallDomainListCommandOutput>;
export declare const deserializeAws_json1_1CreateFirewallRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateFirewallRuleCommandOutput>;
export declare const deserializeAws_json1_1CreateFirewallRuleGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateFirewallRuleGroupCommandOutput>;
export declare const deserializeAws_json1_1CreateResolverEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateResolverEndpointCommandOutput>;
export declare const deserializeAws_json1_1CreateResolverQueryLogConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateResolverQueryLogConfigCommandOutput>;
export declare const deserializeAws_json1_1CreateResolverRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateResolverRuleCommandOutput>;
export declare const deserializeAws_json1_1DeleteFirewallDomainListCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteFirewallDomainListCommandOutput>;
export declare const deserializeAws_json1_1DeleteFirewallRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteFirewallRuleCommandOutput>;
export declare const deserializeAws_json1_1DeleteFirewallRuleGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteFirewallRuleGroupCommandOutput>;
export declare const deserializeAws_json1_1DeleteResolverEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteResolverEndpointCommandOutput>;
export declare const deserializeAws_json1_1DeleteResolverQueryLogConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteResolverQueryLogConfigCommandOutput>;
export declare const deserializeAws_json1_1DeleteResolverRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteResolverRuleCommandOutput>;
export declare const deserializeAws_json1_1DisassociateFirewallRuleGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DisassociateFirewallRuleGroupCommandOutput>;
export declare const deserializeAws_json1_1DisassociateResolverEndpointIpAddressCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DisassociateResolverEndpointIpAddressCommandOutput>;
export declare const deserializeAws_json1_1DisassociateResolverQueryLogConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DisassociateResolverQueryLogConfigCommandOutput>;
export declare const deserializeAws_json1_1DisassociateResolverRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DisassociateResolverRuleCommandOutput>;
export declare const deserializeAws_json1_1GetFirewallConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetFirewallConfigCommandOutput>;
export declare const deserializeAws_json1_1GetFirewallDomainListCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetFirewallDomainListCommandOutput>;
export declare const deserializeAws_json1_1GetFirewallRuleGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetFirewallRuleGroupCommandOutput>;
export declare const deserializeAws_json1_1GetFirewallRuleGroupAssociationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetFirewallRuleGroupAssociationCommandOutput>;
export declare const deserializeAws_json1_1GetFirewallRuleGroupPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetFirewallRuleGroupPolicyCommandOutput>;
export declare const deserializeAws_json1_1GetResolverConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetResolverConfigCommandOutput>;
export declare const deserializeAws_json1_1GetResolverDnssecConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetResolverDnssecConfigCommandOutput>;
export declare const deserializeAws_json1_1GetResolverEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetResolverEndpointCommandOutput>;
export declare const deserializeAws_json1_1GetResolverQueryLogConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetResolverQueryLogConfigCommandOutput>;
export declare const deserializeAws_json1_1GetResolverQueryLogConfigAssociationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetResolverQueryLogConfigAssociationCommandOutput>;
export declare const deserializeAws_json1_1GetResolverQueryLogConfigPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetResolverQueryLogConfigPolicyCommandOutput>;
export declare const deserializeAws_json1_1GetResolverRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetResolverRuleCommandOutput>;
export declare const deserializeAws_json1_1GetResolverRuleAssociationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetResolverRuleAssociationCommandOutput>;
export declare const deserializeAws_json1_1GetResolverRulePolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetResolverRulePolicyCommandOutput>;
export declare const deserializeAws_json1_1ImportFirewallDomainsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ImportFirewallDomainsCommandOutput>;
export declare const deserializeAws_json1_1ListFirewallConfigsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListFirewallConfigsCommandOutput>;
export declare const deserializeAws_json1_1ListFirewallDomainListsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListFirewallDomainListsCommandOutput>;
export declare const deserializeAws_json1_1ListFirewallDomainsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListFirewallDomainsCommandOutput>;
export declare const deserializeAws_json1_1ListFirewallRuleGroupAssociationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListFirewallRuleGroupAssociationsCommandOutput>;
export declare const deserializeAws_json1_1ListFirewallRuleGroupsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListFirewallRuleGroupsCommandOutput>;
export declare const deserializeAws_json1_1ListFirewallRulesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListFirewallRulesCommandOutput>;
export declare const deserializeAws_json1_1ListResolverConfigsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListResolverConfigsCommandOutput>;
export declare const deserializeAws_json1_1ListResolverDnssecConfigsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListResolverDnssecConfigsCommandOutput>;
export declare const deserializeAws_json1_1ListResolverEndpointIpAddressesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListResolverEndpointIpAddressesCommandOutput>;
export declare const deserializeAws_json1_1ListResolverEndpointsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListResolverEndpointsCommandOutput>;
export declare const deserializeAws_json1_1ListResolverQueryLogConfigAssociationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListResolverQueryLogConfigAssociationsCommandOutput>;
export declare const deserializeAws_json1_1ListResolverQueryLogConfigsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListResolverQueryLogConfigsCommandOutput>;
export declare const deserializeAws_json1_1ListResolverRuleAssociationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListResolverRuleAssociationsCommandOutput>;
export declare const deserializeAws_json1_1ListResolverRulesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListResolverRulesCommandOutput>;
export declare const deserializeAws_json1_1ListTagsForResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForResourceCommandOutput>;
export declare const deserializeAws_json1_1PutFirewallRuleGroupPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutFirewallRuleGroupPolicyCommandOutput>;
export declare const deserializeAws_json1_1PutResolverQueryLogConfigPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutResolverQueryLogConfigPolicyCommandOutput>;
export declare const deserializeAws_json1_1PutResolverRulePolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutResolverRulePolicyCommandOutput>;
export declare const deserializeAws_json1_1TagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagResourceCommandOutput>;
export declare const deserializeAws_json1_1UntagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagResourceCommandOutput>;
export declare const deserializeAws_json1_1UpdateFirewallConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateFirewallConfigCommandOutput>;
export declare const deserializeAws_json1_1UpdateFirewallDomainsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateFirewallDomainsCommandOutput>;
export declare const deserializeAws_json1_1UpdateFirewallRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateFirewallRuleCommandOutput>;
export declare const deserializeAws_json1_1UpdateFirewallRuleGroupAssociationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateFirewallRuleGroupAssociationCommandOutput>;
export declare const deserializeAws_json1_1UpdateResolverConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateResolverConfigCommandOutput>;
export declare const deserializeAws_json1_1UpdateResolverDnssecConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateResolverDnssecConfigCommandOutput>;
export declare const deserializeAws_json1_1UpdateResolverEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateResolverEndpointCommandOutput>;
export declare const deserializeAws_json1_1UpdateResolverRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateResolverRuleCommandOutput>;
