import { Logger as __Logger } from "@aws-sdk/types";
import { Route53ResolverClientConfig } from "./Route53ResolverClient";

export declare const getRuntimeConfig: (config: Route53ResolverClientConfig) => {
    apiVersion: string;
    disableHostPrefix: boolean;
    logger: __Logger;
    regionInfoProvider: import("@aws-sdk/types").RegionInfoProvider;
    serviceId: string;
    urlParser: import("@aws-sdk/types").UrlParser;
};
