"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateResolverEndpointRequest = exports.IpAddressRequest = exports.CreateFirewallRuleGroupResponse = exports.FirewallRuleGroup = exports.FirewallRuleGroupStatus = exports.ShareStatus = exports.CreateFirewallRuleGroupRequest = exports.CreateFirewallRuleResponse = exports.FirewallRule = exports.CreateFirewallRuleRequest = exports.CreateFirewallDomainListResponse = exports.FirewallDomainList = exports.FirewallDomainListStatus = exports.CreateFirewallDomainListRequest = exports.BlockResponse = exports.BlockOverrideDnsType = exports.AutodefinedReverseFlag = exports.ResourceUnavailableException = exports.AssociateResolverRuleResponse = exports.ResolverRuleAssociation = exports.ResolverRuleAssociationStatus = exports.AssociateResolverRuleRequest = exports.AssociateResolverQueryLogConfigResponse = exports.ResolverQueryLogConfigAssociation = exports.ResolverQueryLogConfigAssociationStatus = exports.ResolverQueryLogConfigAssociationError = exports.AssociateResolverQueryLogConfigRequest = exports.ResourceExistsException = exports.InvalidRequestException = exports.InvalidParameterException = exports.AssociateResolverEndpointIpAddressResponse = exports.ResolverEndpoint = exports.ResolverEndpointStatus = exports.ResolverEndpointDirection = exports.AssociateResolverEndpointIpAddressRequest = exports.IpAddressUpdate = exports.ValidationException = exports.ThrottlingException = exports.ResourceNotFoundException = exports.LimitExceededException = exports.InternalServiceErrorException = exports.ConflictException = exports.AssociateFirewallRuleGroupResponse = exports.FirewallRuleGroupAssociation = exports.FirewallRuleGroupAssociationStatus = exports.AssociateFirewallRuleGroupRequest = exports.Tag = exports.MutationProtectionStatus = exports.Action = exports.AccessDeniedException = void 0;
exports.GetResolverConfigRequest = exports.GetFirewallRuleGroupPolicyResponse = exports.GetFirewallRuleGroupPolicyRequest = exports.GetFirewallRuleGroupAssociationResponse = exports.GetFirewallRuleGroupAssociationRequest = exports.GetFirewallRuleGroupResponse = exports.GetFirewallRuleGroupRequest = exports.GetFirewallDomainListResponse = exports.GetFirewallDomainListRequest = exports.GetFirewallConfigResponse = exports.GetFirewallConfigRequest = exports.FirewallRuleGroupMetadata = exports.FirewallDomainUpdateOperation = exports.FirewallDomainListMetadata = exports.FirewallDomainImportOperation = exports.FirewallConfig = exports.FirewallFailOpenStatus = exports.Filter = exports.DisassociateResolverRuleResponse = exports.DisassociateResolverRuleRequest = exports.DisassociateResolverQueryLogConfigResponse = exports.DisassociateResolverQueryLogConfigRequest = exports.DisassociateResolverEndpointIpAddressResponse = exports.DisassociateResolverEndpointIpAddressRequest = exports.DisassociateFirewallRuleGroupResponse = exports.DisassociateFirewallRuleGroupRequest = exports.ResourceInUseException = exports.DeleteResolverRuleResponse = exports.DeleteResolverRuleRequest = exports.DeleteResolverQueryLogConfigResponse = exports.DeleteResolverQueryLogConfigRequest = exports.DeleteResolverEndpointResponse = exports.DeleteResolverEndpointRequest = exports.DeleteFirewallRuleGroupResponse = exports.DeleteFirewallRuleGroupRequest = exports.DeleteFirewallRuleResponse = exports.DeleteFirewallRuleRequest = exports.DeleteFirewallDomainListResponse = exports.DeleteFirewallDomainListRequest = exports.CreateResolverRuleResponse = exports.ResolverRule = exports.ResolverRuleStatus = exports.CreateResolverRuleRequest = exports.TargetAddress = exports.RuleTypeOption = exports.CreateResolverQueryLogConfigResponse = exports.ResolverQueryLogConfig = exports.ResolverQueryLogConfigStatus = exports.CreateResolverQueryLogConfigRequest = exports.CreateResolverEndpointResponse = void 0;
exports.SortOrder = exports.ListResolverEndpointsResponse = exports.ListResolverEndpointsRequest = exports.ListResolverEndpointIpAddressesResponse = exports.ListResolverEndpointIpAddressesRequest = exports.ListResolverDnssecConfigsResponse = exports.ListResolverDnssecConfigsRequest = exports.ListResolverConfigsResponse = exports.ListResolverConfigsRequest = exports.ListFirewallRulesResponse = exports.ListFirewallRulesRequest = exports.ListFirewallRuleGroupsResponse = exports.ListFirewallRuleGroupsRequest = exports.ListFirewallRuleGroupAssociationsResponse = exports.ListFirewallRuleGroupAssociationsRequest = exports.ListFirewallDomainsResponse = exports.ListFirewallDomainsRequest = exports.ListFirewallDomainListsResponse = exports.ListFirewallDomainListsRequest = exports.ListFirewallConfigsResponse = exports.ListFirewallConfigsRequest = exports.IpAddressResponse = exports.IpAddressStatus = exports.InvalidTagException = exports.InvalidPolicyDocument = exports.InvalidNextTokenException = exports.ImportFirewallDomainsResponse = exports.ImportFirewallDomainsRequest = exports.GetResolverRulePolicyResponse = exports.GetResolverRulePolicyRequest = exports.GetResolverRuleAssociationResponse = exports.GetResolverRuleAssociationRequest = exports.GetResolverRuleResponse = exports.GetResolverRuleRequest = exports.UnknownResourceException = exports.GetResolverQueryLogConfigPolicyResponse = exports.GetResolverQueryLogConfigPolicyRequest = exports.GetResolverQueryLogConfigAssociationResponse = exports.GetResolverQueryLogConfigAssociationRequest = exports.GetResolverQueryLogConfigResponse = exports.GetResolverQueryLogConfigRequest = exports.GetResolverEndpointResponse = exports.GetResolverEndpointRequest = exports.GetResolverDnssecConfigResponse = exports.ResolverDnssecConfig = exports.ResolverDNSSECValidationStatus = exports.GetResolverDnssecConfigRequest = exports.GetResolverConfigResponse = exports.ResolverConfig = exports.ResolverAutodefinedReverseStatus = void 0;
exports.UpdateResolverRuleResponse = exports.UpdateResolverRuleRequest = exports.UpdateResolverEndpointResponse = exports.UpdateResolverEndpointRequest = exports.UpdateResolverDnssecConfigResponse = exports.UpdateResolverDnssecConfigRequest = exports.Validation = exports.UpdateResolverConfigResponse = exports.UpdateResolverConfigRequest = exports.UpdateFirewallRuleGroupAssociationResponse = exports.UpdateFirewallRuleGroupAssociationRequest = exports.UpdateFirewallRuleResponse = exports.UpdateFirewallRuleRequest = exports.UpdateFirewallDomainsResponse = exports.UpdateFirewallDomainsRequest = exports.UpdateFirewallConfigResponse = exports.UpdateFirewallConfigRequest = exports.UntagResourceResponse = exports.UntagResourceRequest = exports.TagResourceResponse = exports.TagResourceRequest = exports.ResolverRuleConfig = exports.PutResolverRulePolicyResponse = exports.PutResolverRulePolicyRequest = exports.PutResolverQueryLogConfigPolicyResponse = exports.PutResolverQueryLogConfigPolicyRequest = exports.PutFirewallRuleGroupPolicyResponse = exports.PutFirewallRuleGroupPolicyRequest = exports.ListTagsForResourceResponse = exports.ListTagsForResourceRequest = exports.ListResolverRulesResponse = exports.ListResolverRulesRequest = exports.ListResolverRuleAssociationsResponse = exports.ListResolverRuleAssociationsRequest = exports.ListResolverQueryLogConfigsResponse = exports.ListResolverQueryLogConfigsRequest = exports.ListResolverQueryLogConfigAssociationsResponse = exports.ListResolverQueryLogConfigAssociationsRequest = void 0;
const Route53ResolverServiceException_1 = require("./Route53ResolverServiceException");
class AccessDeniedException extends Route53ResolverServiceException_1.Route53ResolverServiceException {
    constructor(opts) {
        super({
            name: "AccessDeniedException",
            $fault: "client",
            ...opts,
        });
        this.name = "AccessDeniedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, AccessDeniedException.prototype);
        this.Message = opts.Message;
    }
}
exports.AccessDeniedException = AccessDeniedException;
var Action;
(function (Action) {
    Action["ALERT"] = "ALERT";
    Action["ALLOW"] = "ALLOW";
    Action["BLOCK"] = "BLOCK";
})(Action = exports.Action || (exports.Action = {}));
var MutationProtectionStatus;
(function (MutationProtectionStatus) {
    MutationProtectionStatus["DISABLED"] = "DISABLED";
    MutationProtectionStatus["ENABLED"] = "ENABLED";
})(MutationProtectionStatus = exports.MutationProtectionStatus || (exports.MutationProtectionStatus = {}));
var Tag;
(function (Tag) {
    Tag.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Tag = exports.Tag || (exports.Tag = {}));
var AssociateFirewallRuleGroupRequest;
(function (AssociateFirewallRuleGroupRequest) {
    AssociateFirewallRuleGroupRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AssociateFirewallRuleGroupRequest = exports.AssociateFirewallRuleGroupRequest || (exports.AssociateFirewallRuleGroupRequest = {}));
var FirewallRuleGroupAssociationStatus;
(function (FirewallRuleGroupAssociationStatus) {
    FirewallRuleGroupAssociationStatus["COMPLETE"] = "COMPLETE";
    FirewallRuleGroupAssociationStatus["DELETING"] = "DELETING";
    FirewallRuleGroupAssociationStatus["UPDATING"] = "UPDATING";
})(FirewallRuleGroupAssociationStatus = exports.FirewallRuleGroupAssociationStatus || (exports.FirewallRuleGroupAssociationStatus = {}));
var FirewallRuleGroupAssociation;
(function (FirewallRuleGroupAssociation) {
    FirewallRuleGroupAssociation.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(FirewallRuleGroupAssociation = exports.FirewallRuleGroupAssociation || (exports.FirewallRuleGroupAssociation = {}));
var AssociateFirewallRuleGroupResponse;
(function (AssociateFirewallRuleGroupResponse) {
    AssociateFirewallRuleGroupResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AssociateFirewallRuleGroupResponse = exports.AssociateFirewallRuleGroupResponse || (exports.AssociateFirewallRuleGroupResponse = {}));
class ConflictException extends Route53ResolverServiceException_1.Route53ResolverServiceException {
    constructor(opts) {
        super({
            name: "ConflictException",
            $fault: "client",
            ...opts,
        });
        this.name = "ConflictException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ConflictException.prototype);
        this.Message = opts.Message;
    }
}
exports.ConflictException = ConflictException;
class InternalServiceErrorException extends Route53ResolverServiceException_1.Route53ResolverServiceException {
    constructor(opts) {
        super({
            name: "InternalServiceErrorException",
            $fault: "client",
            ...opts,
        });
        this.name = "InternalServiceErrorException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InternalServiceErrorException.prototype);
        this.Message = opts.Message;
    }
}
exports.InternalServiceErrorException = InternalServiceErrorException;
class LimitExceededException extends Route53ResolverServiceException_1.Route53ResolverServiceException {
    constructor(opts) {
        super({
            name: "LimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "LimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, LimitExceededException.prototype);
        this.Message = opts.Message;
        this.ResourceType = opts.ResourceType;
    }
}
exports.LimitExceededException = LimitExceededException;
class ResourceNotFoundException extends Route53ResolverServiceException_1.Route53ResolverServiceException {
    constructor(opts) {
        super({
            name: "ResourceNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceNotFoundException.prototype);
        this.Message = opts.Message;
        this.ResourceType = opts.ResourceType;
    }
}
exports.ResourceNotFoundException = ResourceNotFoundException;
class ThrottlingException extends Route53ResolverServiceException_1.Route53ResolverServiceException {
    constructor(opts) {
        super({
            name: "ThrottlingException",
            $fault: "client",
            ...opts,
        });
        this.name = "ThrottlingException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ThrottlingException.prototype);
        this.Message = opts.Message;
    }
}
exports.ThrottlingException = ThrottlingException;
class ValidationException extends Route53ResolverServiceException_1.Route53ResolverServiceException {
    constructor(opts) {
        super({
            name: "ValidationException",
            $fault: "client",
            ...opts,
        });
        this.name = "ValidationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ValidationException.prototype);
        this.Message = opts.Message;
    }
}
exports.ValidationException = ValidationException;
var IpAddressUpdate;
(function (IpAddressUpdate) {
    IpAddressUpdate.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(IpAddressUpdate = exports.IpAddressUpdate || (exports.IpAddressUpdate = {}));
var AssociateResolverEndpointIpAddressRequest;
(function (AssociateResolverEndpointIpAddressRequest) {
    AssociateResolverEndpointIpAddressRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AssociateResolverEndpointIpAddressRequest = exports.AssociateResolverEndpointIpAddressRequest || (exports.AssociateResolverEndpointIpAddressRequest = {}));
var ResolverEndpointDirection;
(function (ResolverEndpointDirection) {
    ResolverEndpointDirection["Inbound"] = "INBOUND";
    ResolverEndpointDirection["Outbound"] = "OUTBOUND";
})(ResolverEndpointDirection = exports.ResolverEndpointDirection || (exports.ResolverEndpointDirection = {}));
var ResolverEndpointStatus;
(function (ResolverEndpointStatus) {
    ResolverEndpointStatus["ActionNeeded"] = "ACTION_NEEDED";
    ResolverEndpointStatus["AutoRecovering"] = "AUTO_RECOVERING";
    ResolverEndpointStatus["Creating"] = "CREATING";
    ResolverEndpointStatus["Deleting"] = "DELETING";
    ResolverEndpointStatus["Operational"] = "OPERATIONAL";
    ResolverEndpointStatus["Updating"] = "UPDATING";
})(ResolverEndpointStatus = exports.ResolverEndpointStatus || (exports.ResolverEndpointStatus = {}));
var ResolverEndpoint;
(function (ResolverEndpoint) {
    ResolverEndpoint.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ResolverEndpoint = exports.ResolverEndpoint || (exports.ResolverEndpoint = {}));
var AssociateResolverEndpointIpAddressResponse;
(function (AssociateResolverEndpointIpAddressResponse) {
    AssociateResolverEndpointIpAddressResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AssociateResolverEndpointIpAddressResponse = exports.AssociateResolverEndpointIpAddressResponse || (exports.AssociateResolverEndpointIpAddressResponse = {}));
class InvalidParameterException extends Route53ResolverServiceException_1.Route53ResolverServiceException {
    constructor(opts) {
        super({
            name: "InvalidParameterException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidParameterException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidParameterException.prototype);
        this.Message = opts.Message;
        this.FieldName = opts.FieldName;
    }
}
exports.InvalidParameterException = InvalidParameterException;
class InvalidRequestException extends Route53ResolverServiceException_1.Route53ResolverServiceException {
    constructor(opts) {
        super({
            name: "InvalidRequestException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidRequestException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidRequestException.prototype);
        this.Message = opts.Message;
    }
}
exports.InvalidRequestException = InvalidRequestException;
class ResourceExistsException extends Route53ResolverServiceException_1.Route53ResolverServiceException {
    constructor(opts) {
        super({
            name: "ResourceExistsException",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceExistsException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceExistsException.prototype);
        this.Message = opts.Message;
        this.ResourceType = opts.ResourceType;
    }
}
exports.ResourceExistsException = ResourceExistsException;
var AssociateResolverQueryLogConfigRequest;
(function (AssociateResolverQueryLogConfigRequest) {
    AssociateResolverQueryLogConfigRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AssociateResolverQueryLogConfigRequest = exports.AssociateResolverQueryLogConfigRequest || (exports.AssociateResolverQueryLogConfigRequest = {}));
var ResolverQueryLogConfigAssociationError;
(function (ResolverQueryLogConfigAssociationError) {
    ResolverQueryLogConfigAssociationError["AccessDenied"] = "ACCESS_DENIED";
    ResolverQueryLogConfigAssociationError["DestinationNotFound"] = "DESTINATION_NOT_FOUND";
    ResolverQueryLogConfigAssociationError["InternalServiceError"] = "INTERNAL_SERVICE_ERROR";
    ResolverQueryLogConfigAssociationError["None"] = "NONE";
})(ResolverQueryLogConfigAssociationError = exports.ResolverQueryLogConfigAssociationError || (exports.ResolverQueryLogConfigAssociationError = {}));
var ResolverQueryLogConfigAssociationStatus;
(function (ResolverQueryLogConfigAssociationStatus) {
    ResolverQueryLogConfigAssociationStatus["ActionNeeded"] = "ACTION_NEEDED";
    ResolverQueryLogConfigAssociationStatus["Active"] = "ACTIVE";
    ResolverQueryLogConfigAssociationStatus["Creating"] = "CREATING";
    ResolverQueryLogConfigAssociationStatus["Deleting"] = "DELETING";
    ResolverQueryLogConfigAssociationStatus["Failed"] = "FAILED";
})(ResolverQueryLogConfigAssociationStatus = exports.ResolverQueryLogConfigAssociationStatus || (exports.ResolverQueryLogConfigAssociationStatus = {}));
var ResolverQueryLogConfigAssociation;
(function (ResolverQueryLogConfigAssociation) {
    ResolverQueryLogConfigAssociation.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ResolverQueryLogConfigAssociation = exports.ResolverQueryLogConfigAssociation || (exports.ResolverQueryLogConfigAssociation = {}));
var AssociateResolverQueryLogConfigResponse;
(function (AssociateResolverQueryLogConfigResponse) {
    AssociateResolverQueryLogConfigResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AssociateResolverQueryLogConfigResponse = exports.AssociateResolverQueryLogConfigResponse || (exports.AssociateResolverQueryLogConfigResponse = {}));
var AssociateResolverRuleRequest;
(function (AssociateResolverRuleRequest) {
    AssociateResolverRuleRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AssociateResolverRuleRequest = exports.AssociateResolverRuleRequest || (exports.AssociateResolverRuleRequest = {}));
var ResolverRuleAssociationStatus;
(function (ResolverRuleAssociationStatus) {
    ResolverRuleAssociationStatus["Complete"] = "COMPLETE";
    ResolverRuleAssociationStatus["Creating"] = "CREATING";
    ResolverRuleAssociationStatus["Deleting"] = "DELETING";
    ResolverRuleAssociationStatus["Failed"] = "FAILED";
    ResolverRuleAssociationStatus["Overridden"] = "OVERRIDDEN";
})(ResolverRuleAssociationStatus = exports.ResolverRuleAssociationStatus || (exports.ResolverRuleAssociationStatus = {}));
var ResolverRuleAssociation;
(function (ResolverRuleAssociation) {
    ResolverRuleAssociation.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ResolverRuleAssociation = exports.ResolverRuleAssociation || (exports.ResolverRuleAssociation = {}));
var AssociateResolverRuleResponse;
(function (AssociateResolverRuleResponse) {
    AssociateResolverRuleResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AssociateResolverRuleResponse = exports.AssociateResolverRuleResponse || (exports.AssociateResolverRuleResponse = {}));
class ResourceUnavailableException extends Route53ResolverServiceException_1.Route53ResolverServiceException {
    constructor(opts) {
        super({
            name: "ResourceUnavailableException",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceUnavailableException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceUnavailableException.prototype);
        this.Message = opts.Message;
        this.ResourceType = opts.ResourceType;
    }
}
exports.ResourceUnavailableException = ResourceUnavailableException;
var AutodefinedReverseFlag;
(function (AutodefinedReverseFlag) {
    AutodefinedReverseFlag["DISABLE"] = "DISABLE";
    AutodefinedReverseFlag["ENABLE"] = "ENABLE";
})(AutodefinedReverseFlag = exports.AutodefinedReverseFlag || (exports.AutodefinedReverseFlag = {}));
var BlockOverrideDnsType;
(function (BlockOverrideDnsType) {
    BlockOverrideDnsType["CNAME"] = "CNAME";
})(BlockOverrideDnsType = exports.BlockOverrideDnsType || (exports.BlockOverrideDnsType = {}));
var BlockResponse;
(function (BlockResponse) {
    BlockResponse["NODATA"] = "NODATA";
    BlockResponse["NXDOMAIN"] = "NXDOMAIN";
    BlockResponse["OVERRIDE"] = "OVERRIDE";
})(BlockResponse = exports.BlockResponse || (exports.BlockResponse = {}));
var CreateFirewallDomainListRequest;
(function (CreateFirewallDomainListRequest) {
    CreateFirewallDomainListRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateFirewallDomainListRequest = exports.CreateFirewallDomainListRequest || (exports.CreateFirewallDomainListRequest = {}));
var FirewallDomainListStatus;
(function (FirewallDomainListStatus) {
    FirewallDomainListStatus["COMPLETE"] = "COMPLETE";
    FirewallDomainListStatus["COMPLETE_IMPORT_FAILED"] = "COMPLETE_IMPORT_FAILED";
    FirewallDomainListStatus["DELETING"] = "DELETING";
    FirewallDomainListStatus["IMPORTING"] = "IMPORTING";
    FirewallDomainListStatus["UPDATING"] = "UPDATING";
})(FirewallDomainListStatus = exports.FirewallDomainListStatus || (exports.FirewallDomainListStatus = {}));
var FirewallDomainList;
(function (FirewallDomainList) {
    FirewallDomainList.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(FirewallDomainList = exports.FirewallDomainList || (exports.FirewallDomainList = {}));
var CreateFirewallDomainListResponse;
(function (CreateFirewallDomainListResponse) {
    CreateFirewallDomainListResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateFirewallDomainListResponse = exports.CreateFirewallDomainListResponse || (exports.CreateFirewallDomainListResponse = {}));
var CreateFirewallRuleRequest;
(function (CreateFirewallRuleRequest) {
    CreateFirewallRuleRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateFirewallRuleRequest = exports.CreateFirewallRuleRequest || (exports.CreateFirewallRuleRequest = {}));
var FirewallRule;
(function (FirewallRule) {
    FirewallRule.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(FirewallRule = exports.FirewallRule || (exports.FirewallRule = {}));
var CreateFirewallRuleResponse;
(function (CreateFirewallRuleResponse) {
    CreateFirewallRuleResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateFirewallRuleResponse = exports.CreateFirewallRuleResponse || (exports.CreateFirewallRuleResponse = {}));
var CreateFirewallRuleGroupRequest;
(function (CreateFirewallRuleGroupRequest) {
    CreateFirewallRuleGroupRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateFirewallRuleGroupRequest = exports.CreateFirewallRuleGroupRequest || (exports.CreateFirewallRuleGroupRequest = {}));
var ShareStatus;
(function (ShareStatus) {
    ShareStatus["NotShared"] = "NOT_SHARED";
    ShareStatus["SharedByMe"] = "SHARED_BY_ME";
    ShareStatus["SharedWithMe"] = "SHARED_WITH_ME";
})(ShareStatus = exports.ShareStatus || (exports.ShareStatus = {}));
var FirewallRuleGroupStatus;
(function (FirewallRuleGroupStatus) {
    FirewallRuleGroupStatus["COMPLETE"] = "COMPLETE";
    FirewallRuleGroupStatus["DELETING"] = "DELETING";
    FirewallRuleGroupStatus["UPDATING"] = "UPDATING";
})(FirewallRuleGroupStatus = exports.FirewallRuleGroupStatus || (exports.FirewallRuleGroupStatus = {}));
var FirewallRuleGroup;
(function (FirewallRuleGroup) {
    FirewallRuleGroup.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(FirewallRuleGroup = exports.FirewallRuleGroup || (exports.FirewallRuleGroup = {}));
var CreateFirewallRuleGroupResponse;
(function (CreateFirewallRuleGroupResponse) {
    CreateFirewallRuleGroupResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateFirewallRuleGroupResponse = exports.CreateFirewallRuleGroupResponse || (exports.CreateFirewallRuleGroupResponse = {}));
var IpAddressRequest;
(function (IpAddressRequest) {
    IpAddressRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(IpAddressRequest = exports.IpAddressRequest || (exports.IpAddressRequest = {}));
var CreateResolverEndpointRequest;
(function (CreateResolverEndpointRequest) {
    CreateResolverEndpointRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateResolverEndpointRequest = exports.CreateResolverEndpointRequest || (exports.CreateResolverEndpointRequest = {}));
var CreateResolverEndpointResponse;
(function (CreateResolverEndpointResponse) {
    CreateResolverEndpointResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateResolverEndpointResponse = exports.CreateResolverEndpointResponse || (exports.CreateResolverEndpointResponse = {}));
var CreateResolverQueryLogConfigRequest;
(function (CreateResolverQueryLogConfigRequest) {
    CreateResolverQueryLogConfigRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateResolverQueryLogConfigRequest = exports.CreateResolverQueryLogConfigRequest || (exports.CreateResolverQueryLogConfigRequest = {}));
var ResolverQueryLogConfigStatus;
(function (ResolverQueryLogConfigStatus) {
    ResolverQueryLogConfigStatus["Created"] = "CREATED";
    ResolverQueryLogConfigStatus["Creating"] = "CREATING";
    ResolverQueryLogConfigStatus["Deleting"] = "DELETING";
    ResolverQueryLogConfigStatus["Failed"] = "FAILED";
})(ResolverQueryLogConfigStatus = exports.ResolverQueryLogConfigStatus || (exports.ResolverQueryLogConfigStatus = {}));
var ResolverQueryLogConfig;
(function (ResolverQueryLogConfig) {
    ResolverQueryLogConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ResolverQueryLogConfig = exports.ResolverQueryLogConfig || (exports.ResolverQueryLogConfig = {}));
var CreateResolverQueryLogConfigResponse;
(function (CreateResolverQueryLogConfigResponse) {
    CreateResolverQueryLogConfigResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateResolverQueryLogConfigResponse = exports.CreateResolverQueryLogConfigResponse || (exports.CreateResolverQueryLogConfigResponse = {}));
var RuleTypeOption;
(function (RuleTypeOption) {
    RuleTypeOption["Forward"] = "FORWARD";
    RuleTypeOption["Recursive"] = "RECURSIVE";
    RuleTypeOption["System"] = "SYSTEM";
})(RuleTypeOption = exports.RuleTypeOption || (exports.RuleTypeOption = {}));
var TargetAddress;
(function (TargetAddress) {
    TargetAddress.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TargetAddress = exports.TargetAddress || (exports.TargetAddress = {}));
var CreateResolverRuleRequest;
(function (CreateResolverRuleRequest) {
    CreateResolverRuleRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateResolverRuleRequest = exports.CreateResolverRuleRequest || (exports.CreateResolverRuleRequest = {}));
var ResolverRuleStatus;
(function (ResolverRuleStatus) {
    ResolverRuleStatus["Complete"] = "COMPLETE";
    ResolverRuleStatus["Deleting"] = "DELETING";
    ResolverRuleStatus["Failed"] = "FAILED";
    ResolverRuleStatus["Updating"] = "UPDATING";
})(ResolverRuleStatus = exports.ResolverRuleStatus || (exports.ResolverRuleStatus = {}));
var ResolverRule;
(function (ResolverRule) {
    ResolverRule.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ResolverRule = exports.ResolverRule || (exports.ResolverRule = {}));
var CreateResolverRuleResponse;
(function (CreateResolverRuleResponse) {
    CreateResolverRuleResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateResolverRuleResponse = exports.CreateResolverRuleResponse || (exports.CreateResolverRuleResponse = {}));
var DeleteFirewallDomainListRequest;
(function (DeleteFirewallDomainListRequest) {
    DeleteFirewallDomainListRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteFirewallDomainListRequest = exports.DeleteFirewallDomainListRequest || (exports.DeleteFirewallDomainListRequest = {}));
var DeleteFirewallDomainListResponse;
(function (DeleteFirewallDomainListResponse) {
    DeleteFirewallDomainListResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteFirewallDomainListResponse = exports.DeleteFirewallDomainListResponse || (exports.DeleteFirewallDomainListResponse = {}));
var DeleteFirewallRuleRequest;
(function (DeleteFirewallRuleRequest) {
    DeleteFirewallRuleRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteFirewallRuleRequest = exports.DeleteFirewallRuleRequest || (exports.DeleteFirewallRuleRequest = {}));
var DeleteFirewallRuleResponse;
(function (DeleteFirewallRuleResponse) {
    DeleteFirewallRuleResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteFirewallRuleResponse = exports.DeleteFirewallRuleResponse || (exports.DeleteFirewallRuleResponse = {}));
var DeleteFirewallRuleGroupRequest;
(function (DeleteFirewallRuleGroupRequest) {
    DeleteFirewallRuleGroupRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteFirewallRuleGroupRequest = exports.DeleteFirewallRuleGroupRequest || (exports.DeleteFirewallRuleGroupRequest = {}));
var DeleteFirewallRuleGroupResponse;
(function (DeleteFirewallRuleGroupResponse) {
    DeleteFirewallRuleGroupResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteFirewallRuleGroupResponse = exports.DeleteFirewallRuleGroupResponse || (exports.DeleteFirewallRuleGroupResponse = {}));
var DeleteResolverEndpointRequest;
(function (DeleteResolverEndpointRequest) {
    DeleteResolverEndpointRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteResolverEndpointRequest = exports.DeleteResolverEndpointRequest || (exports.DeleteResolverEndpointRequest = {}));
var DeleteResolverEndpointResponse;
(function (DeleteResolverEndpointResponse) {
    DeleteResolverEndpointResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteResolverEndpointResponse = exports.DeleteResolverEndpointResponse || (exports.DeleteResolverEndpointResponse = {}));
var DeleteResolverQueryLogConfigRequest;
(function (DeleteResolverQueryLogConfigRequest) {
    DeleteResolverQueryLogConfigRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteResolverQueryLogConfigRequest = exports.DeleteResolverQueryLogConfigRequest || (exports.DeleteResolverQueryLogConfigRequest = {}));
var DeleteResolverQueryLogConfigResponse;
(function (DeleteResolverQueryLogConfigResponse) {
    DeleteResolverQueryLogConfigResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteResolverQueryLogConfigResponse = exports.DeleteResolverQueryLogConfigResponse || (exports.DeleteResolverQueryLogConfigResponse = {}));
var DeleteResolverRuleRequest;
(function (DeleteResolverRuleRequest) {
    DeleteResolverRuleRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteResolverRuleRequest = exports.DeleteResolverRuleRequest || (exports.DeleteResolverRuleRequest = {}));
var DeleteResolverRuleResponse;
(function (DeleteResolverRuleResponse) {
    DeleteResolverRuleResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteResolverRuleResponse = exports.DeleteResolverRuleResponse || (exports.DeleteResolverRuleResponse = {}));
class ResourceInUseException extends Route53ResolverServiceException_1.Route53ResolverServiceException {
    constructor(opts) {
        super({
            name: "ResourceInUseException",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceInUseException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceInUseException.prototype);
        this.Message = opts.Message;
        this.ResourceType = opts.ResourceType;
    }
}
exports.ResourceInUseException = ResourceInUseException;
var DisassociateFirewallRuleGroupRequest;
(function (DisassociateFirewallRuleGroupRequest) {
    DisassociateFirewallRuleGroupRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DisassociateFirewallRuleGroupRequest = exports.DisassociateFirewallRuleGroupRequest || (exports.DisassociateFirewallRuleGroupRequest = {}));
var DisassociateFirewallRuleGroupResponse;
(function (DisassociateFirewallRuleGroupResponse) {
    DisassociateFirewallRuleGroupResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DisassociateFirewallRuleGroupResponse = exports.DisassociateFirewallRuleGroupResponse || (exports.DisassociateFirewallRuleGroupResponse = {}));
var DisassociateResolverEndpointIpAddressRequest;
(function (DisassociateResolverEndpointIpAddressRequest) {
    DisassociateResolverEndpointIpAddressRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DisassociateResolverEndpointIpAddressRequest = exports.DisassociateResolverEndpointIpAddressRequest || (exports.DisassociateResolverEndpointIpAddressRequest = {}));
var DisassociateResolverEndpointIpAddressResponse;
(function (DisassociateResolverEndpointIpAddressResponse) {
    DisassociateResolverEndpointIpAddressResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DisassociateResolverEndpointIpAddressResponse = exports.DisassociateResolverEndpointIpAddressResponse || (exports.DisassociateResolverEndpointIpAddressResponse = {}));
var DisassociateResolverQueryLogConfigRequest;
(function (DisassociateResolverQueryLogConfigRequest) {
    DisassociateResolverQueryLogConfigRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DisassociateResolverQueryLogConfigRequest = exports.DisassociateResolverQueryLogConfigRequest || (exports.DisassociateResolverQueryLogConfigRequest = {}));
var DisassociateResolverQueryLogConfigResponse;
(function (DisassociateResolverQueryLogConfigResponse) {
    DisassociateResolverQueryLogConfigResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DisassociateResolverQueryLogConfigResponse = exports.DisassociateResolverQueryLogConfigResponse || (exports.DisassociateResolverQueryLogConfigResponse = {}));
var DisassociateResolverRuleRequest;
(function (DisassociateResolverRuleRequest) {
    DisassociateResolverRuleRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DisassociateResolverRuleRequest = exports.DisassociateResolverRuleRequest || (exports.DisassociateResolverRuleRequest = {}));
var DisassociateResolverRuleResponse;
(function (DisassociateResolverRuleResponse) {
    DisassociateResolverRuleResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DisassociateResolverRuleResponse = exports.DisassociateResolverRuleResponse || (exports.DisassociateResolverRuleResponse = {}));
var Filter;
(function (Filter) {
    Filter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Filter = exports.Filter || (exports.Filter = {}));
var FirewallFailOpenStatus;
(function (FirewallFailOpenStatus) {
    FirewallFailOpenStatus["DISABLED"] = "DISABLED";
    FirewallFailOpenStatus["ENABLED"] = "ENABLED";
})(FirewallFailOpenStatus = exports.FirewallFailOpenStatus || (exports.FirewallFailOpenStatus = {}));
var FirewallConfig;
(function (FirewallConfig) {
    FirewallConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(FirewallConfig = exports.FirewallConfig || (exports.FirewallConfig = {}));
var FirewallDomainImportOperation;
(function (FirewallDomainImportOperation) {
    FirewallDomainImportOperation["REPLACE"] = "REPLACE";
})(FirewallDomainImportOperation = exports.FirewallDomainImportOperation || (exports.FirewallDomainImportOperation = {}));
var FirewallDomainListMetadata;
(function (FirewallDomainListMetadata) {
    FirewallDomainListMetadata.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(FirewallDomainListMetadata = exports.FirewallDomainListMetadata || (exports.FirewallDomainListMetadata = {}));
var FirewallDomainUpdateOperation;
(function (FirewallDomainUpdateOperation) {
    FirewallDomainUpdateOperation["ADD"] = "ADD";
    FirewallDomainUpdateOperation["REMOVE"] = "REMOVE";
    FirewallDomainUpdateOperation["REPLACE"] = "REPLACE";
})(FirewallDomainUpdateOperation = exports.FirewallDomainUpdateOperation || (exports.FirewallDomainUpdateOperation = {}));
var FirewallRuleGroupMetadata;
(function (FirewallRuleGroupMetadata) {
    FirewallRuleGroupMetadata.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(FirewallRuleGroupMetadata = exports.FirewallRuleGroupMetadata || (exports.FirewallRuleGroupMetadata = {}));
var GetFirewallConfigRequest;
(function (GetFirewallConfigRequest) {
    GetFirewallConfigRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetFirewallConfigRequest = exports.GetFirewallConfigRequest || (exports.GetFirewallConfigRequest = {}));
var GetFirewallConfigResponse;
(function (GetFirewallConfigResponse) {
    GetFirewallConfigResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetFirewallConfigResponse = exports.GetFirewallConfigResponse || (exports.GetFirewallConfigResponse = {}));
var GetFirewallDomainListRequest;
(function (GetFirewallDomainListRequest) {
    GetFirewallDomainListRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetFirewallDomainListRequest = exports.GetFirewallDomainListRequest || (exports.GetFirewallDomainListRequest = {}));
var GetFirewallDomainListResponse;
(function (GetFirewallDomainListResponse) {
    GetFirewallDomainListResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetFirewallDomainListResponse = exports.GetFirewallDomainListResponse || (exports.GetFirewallDomainListResponse = {}));
var GetFirewallRuleGroupRequest;
(function (GetFirewallRuleGroupRequest) {
    GetFirewallRuleGroupRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetFirewallRuleGroupRequest = exports.GetFirewallRuleGroupRequest || (exports.GetFirewallRuleGroupRequest = {}));
var GetFirewallRuleGroupResponse;
(function (GetFirewallRuleGroupResponse) {
    GetFirewallRuleGroupResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetFirewallRuleGroupResponse = exports.GetFirewallRuleGroupResponse || (exports.GetFirewallRuleGroupResponse = {}));
var GetFirewallRuleGroupAssociationRequest;
(function (GetFirewallRuleGroupAssociationRequest) {
    GetFirewallRuleGroupAssociationRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetFirewallRuleGroupAssociationRequest = exports.GetFirewallRuleGroupAssociationRequest || (exports.GetFirewallRuleGroupAssociationRequest = {}));
var GetFirewallRuleGroupAssociationResponse;
(function (GetFirewallRuleGroupAssociationResponse) {
    GetFirewallRuleGroupAssociationResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetFirewallRuleGroupAssociationResponse = exports.GetFirewallRuleGroupAssociationResponse || (exports.GetFirewallRuleGroupAssociationResponse = {}));
var GetFirewallRuleGroupPolicyRequest;
(function (GetFirewallRuleGroupPolicyRequest) {
    GetFirewallRuleGroupPolicyRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetFirewallRuleGroupPolicyRequest = exports.GetFirewallRuleGroupPolicyRequest || (exports.GetFirewallRuleGroupPolicyRequest = {}));
var GetFirewallRuleGroupPolicyResponse;
(function (GetFirewallRuleGroupPolicyResponse) {
    GetFirewallRuleGroupPolicyResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetFirewallRuleGroupPolicyResponse = exports.GetFirewallRuleGroupPolicyResponse || (exports.GetFirewallRuleGroupPolicyResponse = {}));
var GetResolverConfigRequest;
(function (GetResolverConfigRequest) {
    GetResolverConfigRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetResolverConfigRequest = exports.GetResolverConfigRequest || (exports.GetResolverConfigRequest = {}));
var ResolverAutodefinedReverseStatus;
(function (ResolverAutodefinedReverseStatus) {
    ResolverAutodefinedReverseStatus["Disabled"] = "DISABLED";
    ResolverAutodefinedReverseStatus["Disabling"] = "DISABLING";
    ResolverAutodefinedReverseStatus["Enabled"] = "ENABLED";
    ResolverAutodefinedReverseStatus["Enabling"] = "ENABLING";
})(ResolverAutodefinedReverseStatus = exports.ResolverAutodefinedReverseStatus || (exports.ResolverAutodefinedReverseStatus = {}));
var ResolverConfig;
(function (ResolverConfig) {
    ResolverConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ResolverConfig = exports.ResolverConfig || (exports.ResolverConfig = {}));
var GetResolverConfigResponse;
(function (GetResolverConfigResponse) {
    GetResolverConfigResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetResolverConfigResponse = exports.GetResolverConfigResponse || (exports.GetResolverConfigResponse = {}));
var GetResolverDnssecConfigRequest;
(function (GetResolverDnssecConfigRequest) {
    GetResolverDnssecConfigRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetResolverDnssecConfigRequest = exports.GetResolverDnssecConfigRequest || (exports.GetResolverDnssecConfigRequest = {}));
var ResolverDNSSECValidationStatus;
(function (ResolverDNSSECValidationStatus) {
    ResolverDNSSECValidationStatus["Disabled"] = "DISABLED";
    ResolverDNSSECValidationStatus["Disabling"] = "DISABLING";
    ResolverDNSSECValidationStatus["Enabled"] = "ENABLED";
    ResolverDNSSECValidationStatus["Enabling"] = "ENABLING";
})(ResolverDNSSECValidationStatus = exports.ResolverDNSSECValidationStatus || (exports.ResolverDNSSECValidationStatus = {}));
var ResolverDnssecConfig;
(function (ResolverDnssecConfig) {
    ResolverDnssecConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ResolverDnssecConfig = exports.ResolverDnssecConfig || (exports.ResolverDnssecConfig = {}));
var GetResolverDnssecConfigResponse;
(function (GetResolverDnssecConfigResponse) {
    GetResolverDnssecConfigResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetResolverDnssecConfigResponse = exports.GetResolverDnssecConfigResponse || (exports.GetResolverDnssecConfigResponse = {}));
var GetResolverEndpointRequest;
(function (GetResolverEndpointRequest) {
    GetResolverEndpointRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetResolverEndpointRequest = exports.GetResolverEndpointRequest || (exports.GetResolverEndpointRequest = {}));
var GetResolverEndpointResponse;
(function (GetResolverEndpointResponse) {
    GetResolverEndpointResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetResolverEndpointResponse = exports.GetResolverEndpointResponse || (exports.GetResolverEndpointResponse = {}));
var GetResolverQueryLogConfigRequest;
(function (GetResolverQueryLogConfigRequest) {
    GetResolverQueryLogConfigRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetResolverQueryLogConfigRequest = exports.GetResolverQueryLogConfigRequest || (exports.GetResolverQueryLogConfigRequest = {}));
var GetResolverQueryLogConfigResponse;
(function (GetResolverQueryLogConfigResponse) {
    GetResolverQueryLogConfigResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetResolverQueryLogConfigResponse = exports.GetResolverQueryLogConfigResponse || (exports.GetResolverQueryLogConfigResponse = {}));
var GetResolverQueryLogConfigAssociationRequest;
(function (GetResolverQueryLogConfigAssociationRequest) {
    GetResolverQueryLogConfigAssociationRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetResolverQueryLogConfigAssociationRequest = exports.GetResolverQueryLogConfigAssociationRequest || (exports.GetResolverQueryLogConfigAssociationRequest = {}));
var GetResolverQueryLogConfigAssociationResponse;
(function (GetResolverQueryLogConfigAssociationResponse) {
    GetResolverQueryLogConfigAssociationResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetResolverQueryLogConfigAssociationResponse = exports.GetResolverQueryLogConfigAssociationResponse || (exports.GetResolverQueryLogConfigAssociationResponse = {}));
var GetResolverQueryLogConfigPolicyRequest;
(function (GetResolverQueryLogConfigPolicyRequest) {
    GetResolverQueryLogConfigPolicyRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetResolverQueryLogConfigPolicyRequest = exports.GetResolverQueryLogConfigPolicyRequest || (exports.GetResolverQueryLogConfigPolicyRequest = {}));
var GetResolverQueryLogConfigPolicyResponse;
(function (GetResolverQueryLogConfigPolicyResponse) {
    GetResolverQueryLogConfigPolicyResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetResolverQueryLogConfigPolicyResponse = exports.GetResolverQueryLogConfigPolicyResponse || (exports.GetResolverQueryLogConfigPolicyResponse = {}));
class UnknownResourceException extends Route53ResolverServiceException_1.Route53ResolverServiceException {
    constructor(opts) {
        super({
            name: "UnknownResourceException",
            $fault: "client",
            ...opts,
        });
        this.name = "UnknownResourceException";
        this.$fault = "client";
        Object.setPrototypeOf(this, UnknownResourceException.prototype);
        this.Message = opts.Message;
    }
}
exports.UnknownResourceException = UnknownResourceException;
var GetResolverRuleRequest;
(function (GetResolverRuleRequest) {
    GetResolverRuleRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetResolverRuleRequest = exports.GetResolverRuleRequest || (exports.GetResolverRuleRequest = {}));
var GetResolverRuleResponse;
(function (GetResolverRuleResponse) {
    GetResolverRuleResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetResolverRuleResponse = exports.GetResolverRuleResponse || (exports.GetResolverRuleResponse = {}));
var GetResolverRuleAssociationRequest;
(function (GetResolverRuleAssociationRequest) {
    GetResolverRuleAssociationRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetResolverRuleAssociationRequest = exports.GetResolverRuleAssociationRequest || (exports.GetResolverRuleAssociationRequest = {}));
var GetResolverRuleAssociationResponse;
(function (GetResolverRuleAssociationResponse) {
    GetResolverRuleAssociationResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetResolverRuleAssociationResponse = exports.GetResolverRuleAssociationResponse || (exports.GetResolverRuleAssociationResponse = {}));
var GetResolverRulePolicyRequest;
(function (GetResolverRulePolicyRequest) {
    GetResolverRulePolicyRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetResolverRulePolicyRequest = exports.GetResolverRulePolicyRequest || (exports.GetResolverRulePolicyRequest = {}));
var GetResolverRulePolicyResponse;
(function (GetResolverRulePolicyResponse) {
    GetResolverRulePolicyResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetResolverRulePolicyResponse = exports.GetResolverRulePolicyResponse || (exports.GetResolverRulePolicyResponse = {}));
var ImportFirewallDomainsRequest;
(function (ImportFirewallDomainsRequest) {
    ImportFirewallDomainsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ImportFirewallDomainsRequest = exports.ImportFirewallDomainsRequest || (exports.ImportFirewallDomainsRequest = {}));
var ImportFirewallDomainsResponse;
(function (ImportFirewallDomainsResponse) {
    ImportFirewallDomainsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ImportFirewallDomainsResponse = exports.ImportFirewallDomainsResponse || (exports.ImportFirewallDomainsResponse = {}));
class InvalidNextTokenException extends Route53ResolverServiceException_1.Route53ResolverServiceException {
    constructor(opts) {
        super({
            name: "InvalidNextTokenException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidNextTokenException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidNextTokenException.prototype);
        this.Message = opts.Message;
    }
}
exports.InvalidNextTokenException = InvalidNextTokenException;
class InvalidPolicyDocument extends Route53ResolverServiceException_1.Route53ResolverServiceException {
    constructor(opts) {
        super({
            name: "InvalidPolicyDocument",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidPolicyDocument";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidPolicyDocument.prototype);
        this.Message = opts.Message;
    }
}
exports.InvalidPolicyDocument = InvalidPolicyDocument;
class InvalidTagException extends Route53ResolverServiceException_1.Route53ResolverServiceException {
    constructor(opts) {
        super({
            name: "InvalidTagException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidTagException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidTagException.prototype);
        this.Message = opts.Message;
    }
}
exports.InvalidTagException = InvalidTagException;
var IpAddressStatus;
(function (IpAddressStatus) {
    IpAddressStatus["Attached"] = "ATTACHED";
    IpAddressStatus["Attaching"] = "ATTACHING";
    IpAddressStatus["Creating"] = "CREATING";
    IpAddressStatus["DeleteFailedFasExpired"] = "DELETE_FAILED_FAS_EXPIRED";
    IpAddressStatus["Deleting"] = "DELETING";
    IpAddressStatus["Detaching"] = "DETACHING";
    IpAddressStatus["FailedCreation"] = "FAILED_CREATION";
    IpAddressStatus["FailedResourceGone"] = "FAILED_RESOURCE_GONE";
    IpAddressStatus["RemapAttaching"] = "REMAP_ATTACHING";
    IpAddressStatus["RemapDetaching"] = "REMAP_DETACHING";
})(IpAddressStatus = exports.IpAddressStatus || (exports.IpAddressStatus = {}));
var IpAddressResponse;
(function (IpAddressResponse) {
    IpAddressResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(IpAddressResponse = exports.IpAddressResponse || (exports.IpAddressResponse = {}));
var ListFirewallConfigsRequest;
(function (ListFirewallConfigsRequest) {
    ListFirewallConfigsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListFirewallConfigsRequest = exports.ListFirewallConfigsRequest || (exports.ListFirewallConfigsRequest = {}));
var ListFirewallConfigsResponse;
(function (ListFirewallConfigsResponse) {
    ListFirewallConfigsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListFirewallConfigsResponse = exports.ListFirewallConfigsResponse || (exports.ListFirewallConfigsResponse = {}));
var ListFirewallDomainListsRequest;
(function (ListFirewallDomainListsRequest) {
    ListFirewallDomainListsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListFirewallDomainListsRequest = exports.ListFirewallDomainListsRequest || (exports.ListFirewallDomainListsRequest = {}));
var ListFirewallDomainListsResponse;
(function (ListFirewallDomainListsResponse) {
    ListFirewallDomainListsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListFirewallDomainListsResponse = exports.ListFirewallDomainListsResponse || (exports.ListFirewallDomainListsResponse = {}));
var ListFirewallDomainsRequest;
(function (ListFirewallDomainsRequest) {
    ListFirewallDomainsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListFirewallDomainsRequest = exports.ListFirewallDomainsRequest || (exports.ListFirewallDomainsRequest = {}));
var ListFirewallDomainsResponse;
(function (ListFirewallDomainsResponse) {
    ListFirewallDomainsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListFirewallDomainsResponse = exports.ListFirewallDomainsResponse || (exports.ListFirewallDomainsResponse = {}));
var ListFirewallRuleGroupAssociationsRequest;
(function (ListFirewallRuleGroupAssociationsRequest) {
    ListFirewallRuleGroupAssociationsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListFirewallRuleGroupAssociationsRequest = exports.ListFirewallRuleGroupAssociationsRequest || (exports.ListFirewallRuleGroupAssociationsRequest = {}));
var ListFirewallRuleGroupAssociationsResponse;
(function (ListFirewallRuleGroupAssociationsResponse) {
    ListFirewallRuleGroupAssociationsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListFirewallRuleGroupAssociationsResponse = exports.ListFirewallRuleGroupAssociationsResponse || (exports.ListFirewallRuleGroupAssociationsResponse = {}));
var ListFirewallRuleGroupsRequest;
(function (ListFirewallRuleGroupsRequest) {
    ListFirewallRuleGroupsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListFirewallRuleGroupsRequest = exports.ListFirewallRuleGroupsRequest || (exports.ListFirewallRuleGroupsRequest = {}));
var ListFirewallRuleGroupsResponse;
(function (ListFirewallRuleGroupsResponse) {
    ListFirewallRuleGroupsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListFirewallRuleGroupsResponse = exports.ListFirewallRuleGroupsResponse || (exports.ListFirewallRuleGroupsResponse = {}));
var ListFirewallRulesRequest;
(function (ListFirewallRulesRequest) {
    ListFirewallRulesRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListFirewallRulesRequest = exports.ListFirewallRulesRequest || (exports.ListFirewallRulesRequest = {}));
var ListFirewallRulesResponse;
(function (ListFirewallRulesResponse) {
    ListFirewallRulesResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListFirewallRulesResponse = exports.ListFirewallRulesResponse || (exports.ListFirewallRulesResponse = {}));
var ListResolverConfigsRequest;
(function (ListResolverConfigsRequest) {
    ListResolverConfigsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListResolverConfigsRequest = exports.ListResolverConfigsRequest || (exports.ListResolverConfigsRequest = {}));
var ListResolverConfigsResponse;
(function (ListResolverConfigsResponse) {
    ListResolverConfigsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListResolverConfigsResponse = exports.ListResolverConfigsResponse || (exports.ListResolverConfigsResponse = {}));
var ListResolverDnssecConfigsRequest;
(function (ListResolverDnssecConfigsRequest) {
    ListResolverDnssecConfigsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListResolverDnssecConfigsRequest = exports.ListResolverDnssecConfigsRequest || (exports.ListResolverDnssecConfigsRequest = {}));
var ListResolverDnssecConfigsResponse;
(function (ListResolverDnssecConfigsResponse) {
    ListResolverDnssecConfigsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListResolverDnssecConfigsResponse = exports.ListResolverDnssecConfigsResponse || (exports.ListResolverDnssecConfigsResponse = {}));
var ListResolverEndpointIpAddressesRequest;
(function (ListResolverEndpointIpAddressesRequest) {
    ListResolverEndpointIpAddressesRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListResolverEndpointIpAddressesRequest = exports.ListResolverEndpointIpAddressesRequest || (exports.ListResolverEndpointIpAddressesRequest = {}));
var ListResolverEndpointIpAddressesResponse;
(function (ListResolverEndpointIpAddressesResponse) {
    ListResolverEndpointIpAddressesResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListResolverEndpointIpAddressesResponse = exports.ListResolverEndpointIpAddressesResponse || (exports.ListResolverEndpointIpAddressesResponse = {}));
var ListResolverEndpointsRequest;
(function (ListResolverEndpointsRequest) {
    ListResolverEndpointsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListResolverEndpointsRequest = exports.ListResolverEndpointsRequest || (exports.ListResolverEndpointsRequest = {}));
var ListResolverEndpointsResponse;
(function (ListResolverEndpointsResponse) {
    ListResolverEndpointsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListResolverEndpointsResponse = exports.ListResolverEndpointsResponse || (exports.ListResolverEndpointsResponse = {}));
var SortOrder;
(function (SortOrder) {
    SortOrder["Ascending"] = "ASCENDING";
    SortOrder["Descending"] = "DESCENDING";
})(SortOrder = exports.SortOrder || (exports.SortOrder = {}));
var ListResolverQueryLogConfigAssociationsRequest;
(function (ListResolverQueryLogConfigAssociationsRequest) {
    ListResolverQueryLogConfigAssociationsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListResolverQueryLogConfigAssociationsRequest = exports.ListResolverQueryLogConfigAssociationsRequest || (exports.ListResolverQueryLogConfigAssociationsRequest = {}));
var ListResolverQueryLogConfigAssociationsResponse;
(function (ListResolverQueryLogConfigAssociationsResponse) {
    ListResolverQueryLogConfigAssociationsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListResolverQueryLogConfigAssociationsResponse = exports.ListResolverQueryLogConfigAssociationsResponse || (exports.ListResolverQueryLogConfigAssociationsResponse = {}));
var ListResolverQueryLogConfigsRequest;
(function (ListResolverQueryLogConfigsRequest) {
    ListResolverQueryLogConfigsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListResolverQueryLogConfigsRequest = exports.ListResolverQueryLogConfigsRequest || (exports.ListResolverQueryLogConfigsRequest = {}));
var ListResolverQueryLogConfigsResponse;
(function (ListResolverQueryLogConfigsResponse) {
    ListResolverQueryLogConfigsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListResolverQueryLogConfigsResponse = exports.ListResolverQueryLogConfigsResponse || (exports.ListResolverQueryLogConfigsResponse = {}));
var ListResolverRuleAssociationsRequest;
(function (ListResolverRuleAssociationsRequest) {
    ListResolverRuleAssociationsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListResolverRuleAssociationsRequest = exports.ListResolverRuleAssociationsRequest || (exports.ListResolverRuleAssociationsRequest = {}));
var ListResolverRuleAssociationsResponse;
(function (ListResolverRuleAssociationsResponse) {
    ListResolverRuleAssociationsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListResolverRuleAssociationsResponse = exports.ListResolverRuleAssociationsResponse || (exports.ListResolverRuleAssociationsResponse = {}));
var ListResolverRulesRequest;
(function (ListResolverRulesRequest) {
    ListResolverRulesRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListResolverRulesRequest = exports.ListResolverRulesRequest || (exports.ListResolverRulesRequest = {}));
var ListResolverRulesResponse;
(function (ListResolverRulesResponse) {
    ListResolverRulesResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListResolverRulesResponse = exports.ListResolverRulesResponse || (exports.ListResolverRulesResponse = {}));
var ListTagsForResourceRequest;
(function (ListTagsForResourceRequest) {
    ListTagsForResourceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTagsForResourceRequest = exports.ListTagsForResourceRequest || (exports.ListTagsForResourceRequest = {}));
var ListTagsForResourceResponse;
(function (ListTagsForResourceResponse) {
    ListTagsForResourceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTagsForResourceResponse = exports.ListTagsForResourceResponse || (exports.ListTagsForResourceResponse = {}));
var PutFirewallRuleGroupPolicyRequest;
(function (PutFirewallRuleGroupPolicyRequest) {
    PutFirewallRuleGroupPolicyRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutFirewallRuleGroupPolicyRequest = exports.PutFirewallRuleGroupPolicyRequest || (exports.PutFirewallRuleGroupPolicyRequest = {}));
var PutFirewallRuleGroupPolicyResponse;
(function (PutFirewallRuleGroupPolicyResponse) {
    PutFirewallRuleGroupPolicyResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutFirewallRuleGroupPolicyResponse = exports.PutFirewallRuleGroupPolicyResponse || (exports.PutFirewallRuleGroupPolicyResponse = {}));
var PutResolverQueryLogConfigPolicyRequest;
(function (PutResolverQueryLogConfigPolicyRequest) {
    PutResolverQueryLogConfigPolicyRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutResolverQueryLogConfigPolicyRequest = exports.PutResolverQueryLogConfigPolicyRequest || (exports.PutResolverQueryLogConfigPolicyRequest = {}));
var PutResolverQueryLogConfigPolicyResponse;
(function (PutResolverQueryLogConfigPolicyResponse) {
    PutResolverQueryLogConfigPolicyResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutResolverQueryLogConfigPolicyResponse = exports.PutResolverQueryLogConfigPolicyResponse || (exports.PutResolverQueryLogConfigPolicyResponse = {}));
var PutResolverRulePolicyRequest;
(function (PutResolverRulePolicyRequest) {
    PutResolverRulePolicyRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutResolverRulePolicyRequest = exports.PutResolverRulePolicyRequest || (exports.PutResolverRulePolicyRequest = {}));
var PutResolverRulePolicyResponse;
(function (PutResolverRulePolicyResponse) {
    PutResolverRulePolicyResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutResolverRulePolicyResponse = exports.PutResolverRulePolicyResponse || (exports.PutResolverRulePolicyResponse = {}));
var ResolverRuleConfig;
(function (ResolverRuleConfig) {
    ResolverRuleConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ResolverRuleConfig = exports.ResolverRuleConfig || (exports.ResolverRuleConfig = {}));
var TagResourceRequest;
(function (TagResourceRequest) {
    TagResourceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagResourceRequest = exports.TagResourceRequest || (exports.TagResourceRequest = {}));
var TagResourceResponse;
(function (TagResourceResponse) {
    TagResourceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagResourceResponse = exports.TagResourceResponse || (exports.TagResourceResponse = {}));
var UntagResourceRequest;
(function (UntagResourceRequest) {
    UntagResourceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UntagResourceRequest = exports.UntagResourceRequest || (exports.UntagResourceRequest = {}));
var UntagResourceResponse;
(function (UntagResourceResponse) {
    UntagResourceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UntagResourceResponse = exports.UntagResourceResponse || (exports.UntagResourceResponse = {}));
var UpdateFirewallConfigRequest;
(function (UpdateFirewallConfigRequest) {
    UpdateFirewallConfigRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateFirewallConfigRequest = exports.UpdateFirewallConfigRequest || (exports.UpdateFirewallConfigRequest = {}));
var UpdateFirewallConfigResponse;
(function (UpdateFirewallConfigResponse) {
    UpdateFirewallConfigResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateFirewallConfigResponse = exports.UpdateFirewallConfigResponse || (exports.UpdateFirewallConfigResponse = {}));
var UpdateFirewallDomainsRequest;
(function (UpdateFirewallDomainsRequest) {
    UpdateFirewallDomainsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateFirewallDomainsRequest = exports.UpdateFirewallDomainsRequest || (exports.UpdateFirewallDomainsRequest = {}));
var UpdateFirewallDomainsResponse;
(function (UpdateFirewallDomainsResponse) {
    UpdateFirewallDomainsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateFirewallDomainsResponse = exports.UpdateFirewallDomainsResponse || (exports.UpdateFirewallDomainsResponse = {}));
var UpdateFirewallRuleRequest;
(function (UpdateFirewallRuleRequest) {
    UpdateFirewallRuleRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateFirewallRuleRequest = exports.UpdateFirewallRuleRequest || (exports.UpdateFirewallRuleRequest = {}));
var UpdateFirewallRuleResponse;
(function (UpdateFirewallRuleResponse) {
    UpdateFirewallRuleResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateFirewallRuleResponse = exports.UpdateFirewallRuleResponse || (exports.UpdateFirewallRuleResponse = {}));
var UpdateFirewallRuleGroupAssociationRequest;
(function (UpdateFirewallRuleGroupAssociationRequest) {
    UpdateFirewallRuleGroupAssociationRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateFirewallRuleGroupAssociationRequest = exports.UpdateFirewallRuleGroupAssociationRequest || (exports.UpdateFirewallRuleGroupAssociationRequest = {}));
var UpdateFirewallRuleGroupAssociationResponse;
(function (UpdateFirewallRuleGroupAssociationResponse) {
    UpdateFirewallRuleGroupAssociationResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateFirewallRuleGroupAssociationResponse = exports.UpdateFirewallRuleGroupAssociationResponse || (exports.UpdateFirewallRuleGroupAssociationResponse = {}));
var UpdateResolverConfigRequest;
(function (UpdateResolverConfigRequest) {
    UpdateResolverConfigRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateResolverConfigRequest = exports.UpdateResolverConfigRequest || (exports.UpdateResolverConfigRequest = {}));
var UpdateResolverConfigResponse;
(function (UpdateResolverConfigResponse) {
    UpdateResolverConfigResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateResolverConfigResponse = exports.UpdateResolverConfigResponse || (exports.UpdateResolverConfigResponse = {}));
var Validation;
(function (Validation) {
    Validation["DISABLE"] = "DISABLE";
    Validation["ENABLE"] = "ENABLE";
})(Validation = exports.Validation || (exports.Validation = {}));
var UpdateResolverDnssecConfigRequest;
(function (UpdateResolverDnssecConfigRequest) {
    UpdateResolverDnssecConfigRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateResolverDnssecConfigRequest = exports.UpdateResolverDnssecConfigRequest || (exports.UpdateResolverDnssecConfigRequest = {}));
var UpdateResolverDnssecConfigResponse;
(function (UpdateResolverDnssecConfigResponse) {
    UpdateResolverDnssecConfigResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateResolverDnssecConfigResponse = exports.UpdateResolverDnssecConfigResponse || (exports.UpdateResolverDnssecConfigResponse = {}));
var UpdateResolverEndpointRequest;
(function (UpdateResolverEndpointRequest) {
    UpdateResolverEndpointRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateResolverEndpointRequest = exports.UpdateResolverEndpointRequest || (exports.UpdateResolverEndpointRequest = {}));
var UpdateResolverEndpointResponse;
(function (UpdateResolverEndpointResponse) {
    UpdateResolverEndpointResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateResolverEndpointResponse = exports.UpdateResolverEndpointResponse || (exports.UpdateResolverEndpointResponse = {}));
var UpdateResolverRuleRequest;
(function (UpdateResolverRuleRequest) {
    UpdateResolverRuleRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateResolverRuleRequest = exports.UpdateResolverRuleRequest || (exports.UpdateResolverRuleRequest = {}));
var UpdateResolverRuleResponse;
(function (UpdateResolverRuleResponse) {
    UpdateResolverRuleResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateResolverRuleResponse = exports.UpdateResolverRuleResponse || (exports.UpdateResolverRuleResponse = {}));
