import { HttpHandlerOptions as __HttpHandlerOptions } from "@aws-sdk/types";
import { AssociateFirewallRuleGroupCommandInput, AssociateFirewallRuleGroupCommandOutput } from "./commands/AssociateFirewallRuleGroupCommand";
import { AssociateResolverEndpointIpAddressCommandInput, AssociateResolverEndpointIpAddressCommandOutput } from "./commands/AssociateResolverEndpointIpAddressCommand";
import { AssociateResolverQueryLogConfigCommandInput, AssociateResolverQueryLogConfigCommandOutput } from "./commands/AssociateResolverQueryLogConfigCommand";
import { AssociateResolverRuleCommandInput, AssociateResolverRuleCommandOutput } from "./commands/AssociateResolverRuleCommand";
import { CreateFirewallDomainListCommandInput, CreateFirewallDomainListCommandOutput } from "./commands/CreateFirewallDomainListCommand";
import { CreateFirewallRuleCommandInput, CreateFirewallRuleCommandOutput } from "./commands/CreateFirewallRuleCommand";
import { CreateFirewallRuleGroupCommandInput, CreateFirewallRuleGroupCommandOutput } from "./commands/CreateFirewallRuleGroupCommand";
import { CreateResolverEndpointCommandInput, CreateResolverEndpointCommandOutput } from "./commands/CreateResolverEndpointCommand";
import { CreateResolverQueryLogConfigCommandInput, CreateResolverQueryLogConfigCommandOutput } from "./commands/CreateResolverQueryLogConfigCommand";
import { CreateResolverRuleCommandInput, CreateResolverRuleCommandOutput } from "./commands/CreateResolverRuleCommand";
import { DeleteFirewallDomainListCommandInput, DeleteFirewallDomainListCommandOutput } from "./commands/DeleteFirewallDomainListCommand";
import { DeleteFirewallRuleCommandInput, DeleteFirewallRuleCommandOutput } from "./commands/DeleteFirewallRuleCommand";
import { DeleteFirewallRuleGroupCommandInput, DeleteFirewallRuleGroupCommandOutput } from "./commands/DeleteFirewallRuleGroupCommand";
import { DeleteResolverEndpointCommandInput, DeleteResolverEndpointCommandOutput } from "./commands/DeleteResolverEndpointCommand";
import { DeleteResolverQueryLogConfigCommandInput, DeleteResolverQueryLogConfigCommandOutput } from "./commands/DeleteResolverQueryLogConfigCommand";
import { DeleteResolverRuleCommandInput, DeleteResolverRuleCommandOutput } from "./commands/DeleteResolverRuleCommand";
import { DisassociateFirewallRuleGroupCommandInput, DisassociateFirewallRuleGroupCommandOutput } from "./commands/DisassociateFirewallRuleGroupCommand";
import { DisassociateResolverEndpointIpAddressCommandInput, DisassociateResolverEndpointIpAddressCommandOutput } from "./commands/DisassociateResolverEndpointIpAddressCommand";
import { DisassociateResolverQueryLogConfigCommandInput, DisassociateResolverQueryLogConfigCommandOutput } from "./commands/DisassociateResolverQueryLogConfigCommand";
import { DisassociateResolverRuleCommandInput, DisassociateResolverRuleCommandOutput } from "./commands/DisassociateResolverRuleCommand";
import { GetFirewallConfigCommandInput, GetFirewallConfigCommandOutput } from "./commands/GetFirewallConfigCommand";
import { GetFirewallDomainListCommandInput, GetFirewallDomainListCommandOutput } from "./commands/GetFirewallDomainListCommand";
import { GetFirewallRuleGroupAssociationCommandInput, GetFirewallRuleGroupAssociationCommandOutput } from "./commands/GetFirewallRuleGroupAssociationCommand";
import { GetFirewallRuleGroupCommandInput, GetFirewallRuleGroupCommandOutput } from "./commands/GetFirewallRuleGroupCommand";
import { GetFirewallRuleGroupPolicyCommandInput, GetFirewallRuleGroupPolicyCommandOutput } from "./commands/GetFirewallRuleGroupPolicyCommand";
import { GetResolverConfigCommandInput, GetResolverConfigCommandOutput } from "./commands/GetResolverConfigCommand";
import { GetResolverDnssecConfigCommandInput, GetResolverDnssecConfigCommandOutput } from "./commands/GetResolverDnssecConfigCommand";
import { GetResolverEndpointCommandInput, GetResolverEndpointCommandOutput } from "./commands/GetResolverEndpointCommand";
import { GetResolverQueryLogConfigAssociationCommandInput, GetResolverQueryLogConfigAssociationCommandOutput } from "./commands/GetResolverQueryLogConfigAssociationCommand";
import { GetResolverQueryLogConfigCommandInput, GetResolverQueryLogConfigCommandOutput } from "./commands/GetResolverQueryLogConfigCommand";
import { GetResolverQueryLogConfigPolicyCommandInput, GetResolverQueryLogConfigPolicyCommandOutput } from "./commands/GetResolverQueryLogConfigPolicyCommand";
import { GetResolverRuleAssociationCommandInput, GetResolverRuleAssociationCommandOutput } from "./commands/GetResolverRuleAssociationCommand";
import { GetResolverRuleCommandInput, GetResolverRuleCommandOutput } from "./commands/GetResolverRuleCommand";
import { GetResolverRulePolicyCommandInput, GetResolverRulePolicyCommandOutput } from "./commands/GetResolverRulePolicyCommand";
import { ImportFirewallDomainsCommandInput, ImportFirewallDomainsCommandOutput } from "./commands/ImportFirewallDomainsCommand";
import { ListFirewallConfigsCommandInput, ListFirewallConfigsCommandOutput } from "./commands/ListFirewallConfigsCommand";
import { ListFirewallDomainListsCommandInput, ListFirewallDomainListsCommandOutput } from "./commands/ListFirewallDomainListsCommand";
import { ListFirewallDomainsCommandInput, ListFirewallDomainsCommandOutput } from "./commands/ListFirewallDomainsCommand";
import { ListFirewallRuleGroupAssociationsCommandInput, ListFirewallRuleGroupAssociationsCommandOutput } from "./commands/ListFirewallRuleGroupAssociationsCommand";
import { ListFirewallRuleGroupsCommandInput, ListFirewallRuleGroupsCommandOutput } from "./commands/ListFirewallRuleGroupsCommand";
import { ListFirewallRulesCommandInput, ListFirewallRulesCommandOutput } from "./commands/ListFirewallRulesCommand";
import { ListResolverConfigsCommandInput, ListResolverConfigsCommandOutput } from "./commands/ListResolverConfigsCommand";
import { ListResolverDnssecConfigsCommandInput, ListResolverDnssecConfigsCommandOutput } from "./commands/ListResolverDnssecConfigsCommand";
import { ListResolverEndpointIpAddressesCommandInput, ListResolverEndpointIpAddressesCommandOutput } from "./commands/ListResolverEndpointIpAddressesCommand";
import { ListResolverEndpointsCommandInput, ListResolverEndpointsCommandOutput } from "./commands/ListResolverEndpointsCommand";
import { ListResolverQueryLogConfigAssociationsCommandInput, ListResolverQueryLogConfigAssociationsCommandOutput } from "./commands/ListResolverQueryLogConfigAssociationsCommand";
import { ListResolverQueryLogConfigsCommandInput, ListResolverQueryLogConfigsCommandOutput } from "./commands/ListResolverQueryLogConfigsCommand";
import { ListResolverRuleAssociationsCommandInput, ListResolverRuleAssociationsCommandOutput } from "./commands/ListResolverRuleAssociationsCommand";
import { ListResolverRulesCommandInput, ListResolverRulesCommandOutput } from "./commands/ListResolverRulesCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "./commands/ListTagsForResourceCommand";
import { PutFirewallRuleGroupPolicyCommandInput, PutFirewallRuleGroupPolicyCommandOutput } from "./commands/PutFirewallRuleGroupPolicyCommand";
import { PutResolverQueryLogConfigPolicyCommandInput, PutResolverQueryLogConfigPolicyCommandOutput } from "./commands/PutResolverQueryLogConfigPolicyCommand";
import { PutResolverRulePolicyCommandInput, PutResolverRulePolicyCommandOutput } from "./commands/PutResolverRulePolicyCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "./commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "./commands/UntagResourceCommand";
import { UpdateFirewallConfigCommandInput, UpdateFirewallConfigCommandOutput } from "./commands/UpdateFirewallConfigCommand";
import { UpdateFirewallDomainsCommandInput, UpdateFirewallDomainsCommandOutput } from "./commands/UpdateFirewallDomainsCommand";
import { UpdateFirewallRuleCommandInput, UpdateFirewallRuleCommandOutput } from "./commands/UpdateFirewallRuleCommand";
import { UpdateFirewallRuleGroupAssociationCommandInput, UpdateFirewallRuleGroupAssociationCommandOutput } from "./commands/UpdateFirewallRuleGroupAssociationCommand";
import { UpdateResolverConfigCommandInput, UpdateResolverConfigCommandOutput } from "./commands/UpdateResolverConfigCommand";
import { UpdateResolverDnssecConfigCommandInput, UpdateResolverDnssecConfigCommandOutput } from "./commands/UpdateResolverDnssecConfigCommand";
import { UpdateResolverEndpointCommandInput, UpdateResolverEndpointCommandOutput } from "./commands/UpdateResolverEndpointCommand";
import { UpdateResolverRuleCommandInput, UpdateResolverRuleCommandOutput } from "./commands/UpdateResolverRuleCommand";
import { Route53ResolverClient } from "./Route53ResolverClient";

export declare class Route53Resolver extends Route53ResolverClient {
    
    associateFirewallRuleGroup(args: AssociateFirewallRuleGroupCommandInput, options?: __HttpHandlerOptions): Promise<AssociateFirewallRuleGroupCommandOutput>;
    associateFirewallRuleGroup(args: AssociateFirewallRuleGroupCommandInput, cb: (err: any, data?: AssociateFirewallRuleGroupCommandOutput) => void): void;
    associateFirewallRuleGroup(args: AssociateFirewallRuleGroupCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: AssociateFirewallRuleGroupCommandOutput) => void): void;
    
    associateResolverEndpointIpAddress(args: AssociateResolverEndpointIpAddressCommandInput, options?: __HttpHandlerOptions): Promise<AssociateResolverEndpointIpAddressCommandOutput>;
    associateResolverEndpointIpAddress(args: AssociateResolverEndpointIpAddressCommandInput, cb: (err: any, data?: AssociateResolverEndpointIpAddressCommandOutput) => void): void;
    associateResolverEndpointIpAddress(args: AssociateResolverEndpointIpAddressCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: AssociateResolverEndpointIpAddressCommandOutput) => void): void;
    
    associateResolverQueryLogConfig(args: AssociateResolverQueryLogConfigCommandInput, options?: __HttpHandlerOptions): Promise<AssociateResolverQueryLogConfigCommandOutput>;
    associateResolverQueryLogConfig(args: AssociateResolverQueryLogConfigCommandInput, cb: (err: any, data?: AssociateResolverQueryLogConfigCommandOutput) => void): void;
    associateResolverQueryLogConfig(args: AssociateResolverQueryLogConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: AssociateResolverQueryLogConfigCommandOutput) => void): void;
    
    associateResolverRule(args: AssociateResolverRuleCommandInput, options?: __HttpHandlerOptions): Promise<AssociateResolverRuleCommandOutput>;
    associateResolverRule(args: AssociateResolverRuleCommandInput, cb: (err: any, data?: AssociateResolverRuleCommandOutput) => void): void;
    associateResolverRule(args: AssociateResolverRuleCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: AssociateResolverRuleCommandOutput) => void): void;
    
    createFirewallDomainList(args: CreateFirewallDomainListCommandInput, options?: __HttpHandlerOptions): Promise<CreateFirewallDomainListCommandOutput>;
    createFirewallDomainList(args: CreateFirewallDomainListCommandInput, cb: (err: any, data?: CreateFirewallDomainListCommandOutput) => void): void;
    createFirewallDomainList(args: CreateFirewallDomainListCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateFirewallDomainListCommandOutput) => void): void;
    
    createFirewallRule(args: CreateFirewallRuleCommandInput, options?: __HttpHandlerOptions): Promise<CreateFirewallRuleCommandOutput>;
    createFirewallRule(args: CreateFirewallRuleCommandInput, cb: (err: any, data?: CreateFirewallRuleCommandOutput) => void): void;
    createFirewallRule(args: CreateFirewallRuleCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateFirewallRuleCommandOutput) => void): void;
    
    createFirewallRuleGroup(args: CreateFirewallRuleGroupCommandInput, options?: __HttpHandlerOptions): Promise<CreateFirewallRuleGroupCommandOutput>;
    createFirewallRuleGroup(args: CreateFirewallRuleGroupCommandInput, cb: (err: any, data?: CreateFirewallRuleGroupCommandOutput) => void): void;
    createFirewallRuleGroup(args: CreateFirewallRuleGroupCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateFirewallRuleGroupCommandOutput) => void): void;
    
    createResolverEndpoint(args: CreateResolverEndpointCommandInput, options?: __HttpHandlerOptions): Promise<CreateResolverEndpointCommandOutput>;
    createResolverEndpoint(args: CreateResolverEndpointCommandInput, cb: (err: any, data?: CreateResolverEndpointCommandOutput) => void): void;
    createResolverEndpoint(args: CreateResolverEndpointCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateResolverEndpointCommandOutput) => void): void;
    
    createResolverQueryLogConfig(args: CreateResolverQueryLogConfigCommandInput, options?: __HttpHandlerOptions): Promise<CreateResolverQueryLogConfigCommandOutput>;
    createResolverQueryLogConfig(args: CreateResolverQueryLogConfigCommandInput, cb: (err: any, data?: CreateResolverQueryLogConfigCommandOutput) => void): void;
    createResolverQueryLogConfig(args: CreateResolverQueryLogConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateResolverQueryLogConfigCommandOutput) => void): void;
    
    createResolverRule(args: CreateResolverRuleCommandInput, options?: __HttpHandlerOptions): Promise<CreateResolverRuleCommandOutput>;
    createResolverRule(args: CreateResolverRuleCommandInput, cb: (err: any, data?: CreateResolverRuleCommandOutput) => void): void;
    createResolverRule(args: CreateResolverRuleCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateResolverRuleCommandOutput) => void): void;
    
    deleteFirewallDomainList(args: DeleteFirewallDomainListCommandInput, options?: __HttpHandlerOptions): Promise<DeleteFirewallDomainListCommandOutput>;
    deleteFirewallDomainList(args: DeleteFirewallDomainListCommandInput, cb: (err: any, data?: DeleteFirewallDomainListCommandOutput) => void): void;
    deleteFirewallDomainList(args: DeleteFirewallDomainListCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteFirewallDomainListCommandOutput) => void): void;
    
    deleteFirewallRule(args: DeleteFirewallRuleCommandInput, options?: __HttpHandlerOptions): Promise<DeleteFirewallRuleCommandOutput>;
    deleteFirewallRule(args: DeleteFirewallRuleCommandInput, cb: (err: any, data?: DeleteFirewallRuleCommandOutput) => void): void;
    deleteFirewallRule(args: DeleteFirewallRuleCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteFirewallRuleCommandOutput) => void): void;
    
    deleteFirewallRuleGroup(args: DeleteFirewallRuleGroupCommandInput, options?: __HttpHandlerOptions): Promise<DeleteFirewallRuleGroupCommandOutput>;
    deleteFirewallRuleGroup(args: DeleteFirewallRuleGroupCommandInput, cb: (err: any, data?: DeleteFirewallRuleGroupCommandOutput) => void): void;
    deleteFirewallRuleGroup(args: DeleteFirewallRuleGroupCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteFirewallRuleGroupCommandOutput) => void): void;
    
    deleteResolverEndpoint(args: DeleteResolverEndpointCommandInput, options?: __HttpHandlerOptions): Promise<DeleteResolverEndpointCommandOutput>;
    deleteResolverEndpoint(args: DeleteResolverEndpointCommandInput, cb: (err: any, data?: DeleteResolverEndpointCommandOutput) => void): void;
    deleteResolverEndpoint(args: DeleteResolverEndpointCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteResolverEndpointCommandOutput) => void): void;
    
    deleteResolverQueryLogConfig(args: DeleteResolverQueryLogConfigCommandInput, options?: __HttpHandlerOptions): Promise<DeleteResolverQueryLogConfigCommandOutput>;
    deleteResolverQueryLogConfig(args: DeleteResolverQueryLogConfigCommandInput, cb: (err: any, data?: DeleteResolverQueryLogConfigCommandOutput) => void): void;
    deleteResolverQueryLogConfig(args: DeleteResolverQueryLogConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteResolverQueryLogConfigCommandOutput) => void): void;
    
    deleteResolverRule(args: DeleteResolverRuleCommandInput, options?: __HttpHandlerOptions): Promise<DeleteResolverRuleCommandOutput>;
    deleteResolverRule(args: DeleteResolverRuleCommandInput, cb: (err: any, data?: DeleteResolverRuleCommandOutput) => void): void;
    deleteResolverRule(args: DeleteResolverRuleCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteResolverRuleCommandOutput) => void): void;
    
    disassociateFirewallRuleGroup(args: DisassociateFirewallRuleGroupCommandInput, options?: __HttpHandlerOptions): Promise<DisassociateFirewallRuleGroupCommandOutput>;
    disassociateFirewallRuleGroup(args: DisassociateFirewallRuleGroupCommandInput, cb: (err: any, data?: DisassociateFirewallRuleGroupCommandOutput) => void): void;
    disassociateFirewallRuleGroup(args: DisassociateFirewallRuleGroupCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DisassociateFirewallRuleGroupCommandOutput) => void): void;
    
    disassociateResolverEndpointIpAddress(args: DisassociateResolverEndpointIpAddressCommandInput, options?: __HttpHandlerOptions): Promise<DisassociateResolverEndpointIpAddressCommandOutput>;
    disassociateResolverEndpointIpAddress(args: DisassociateResolverEndpointIpAddressCommandInput, cb: (err: any, data?: DisassociateResolverEndpointIpAddressCommandOutput) => void): void;
    disassociateResolverEndpointIpAddress(args: DisassociateResolverEndpointIpAddressCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DisassociateResolverEndpointIpAddressCommandOutput) => void): void;
    
    disassociateResolverQueryLogConfig(args: DisassociateResolverQueryLogConfigCommandInput, options?: __HttpHandlerOptions): Promise<DisassociateResolverQueryLogConfigCommandOutput>;
    disassociateResolverQueryLogConfig(args: DisassociateResolverQueryLogConfigCommandInput, cb: (err: any, data?: DisassociateResolverQueryLogConfigCommandOutput) => void): void;
    disassociateResolverQueryLogConfig(args: DisassociateResolverQueryLogConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DisassociateResolverQueryLogConfigCommandOutput) => void): void;
    
    disassociateResolverRule(args: DisassociateResolverRuleCommandInput, options?: __HttpHandlerOptions): Promise<DisassociateResolverRuleCommandOutput>;
    disassociateResolverRule(args: DisassociateResolverRuleCommandInput, cb: (err: any, data?: DisassociateResolverRuleCommandOutput) => void): void;
    disassociateResolverRule(args: DisassociateResolverRuleCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DisassociateResolverRuleCommandOutput) => void): void;
    
    getFirewallConfig(args: GetFirewallConfigCommandInput, options?: __HttpHandlerOptions): Promise<GetFirewallConfigCommandOutput>;
    getFirewallConfig(args: GetFirewallConfigCommandInput, cb: (err: any, data?: GetFirewallConfigCommandOutput) => void): void;
    getFirewallConfig(args: GetFirewallConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: GetFirewallConfigCommandOutput) => void): void;
    
    getFirewallDomainList(args: GetFirewallDomainListCommandInput, options?: __HttpHandlerOptions): Promise<GetFirewallDomainListCommandOutput>;
    getFirewallDomainList(args: GetFirewallDomainListCommandInput, cb: (err: any, data?: GetFirewallDomainListCommandOutput) => void): void;
    getFirewallDomainList(args: GetFirewallDomainListCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: GetFirewallDomainListCommandOutput) => void): void;
    
    getFirewallRuleGroup(args: GetFirewallRuleGroupCommandInput, options?: __HttpHandlerOptions): Promise<GetFirewallRuleGroupCommandOutput>;
    getFirewallRuleGroup(args: GetFirewallRuleGroupCommandInput, cb: (err: any, data?: GetFirewallRuleGroupCommandOutput) => void): void;
    getFirewallRuleGroup(args: GetFirewallRuleGroupCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: GetFirewallRuleGroupCommandOutput) => void): void;
    
    getFirewallRuleGroupAssociation(args: GetFirewallRuleGroupAssociationCommandInput, options?: __HttpHandlerOptions): Promise<GetFirewallRuleGroupAssociationCommandOutput>;
    getFirewallRuleGroupAssociation(args: GetFirewallRuleGroupAssociationCommandInput, cb: (err: any, data?: GetFirewallRuleGroupAssociationCommandOutput) => void): void;
    getFirewallRuleGroupAssociation(args: GetFirewallRuleGroupAssociationCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: GetFirewallRuleGroupAssociationCommandOutput) => void): void;
    
    getFirewallRuleGroupPolicy(args: GetFirewallRuleGroupPolicyCommandInput, options?: __HttpHandlerOptions): Promise<GetFirewallRuleGroupPolicyCommandOutput>;
    getFirewallRuleGroupPolicy(args: GetFirewallRuleGroupPolicyCommandInput, cb: (err: any, data?: GetFirewallRuleGroupPolicyCommandOutput) => void): void;
    getFirewallRuleGroupPolicy(args: GetFirewallRuleGroupPolicyCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: GetFirewallRuleGroupPolicyCommandOutput) => void): void;
    
    getResolverConfig(args: GetResolverConfigCommandInput, options?: __HttpHandlerOptions): Promise<GetResolverConfigCommandOutput>;
    getResolverConfig(args: GetResolverConfigCommandInput, cb: (err: any, data?: GetResolverConfigCommandOutput) => void): void;
    getResolverConfig(args: GetResolverConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: GetResolverConfigCommandOutput) => void): void;
    
    getResolverDnssecConfig(args: GetResolverDnssecConfigCommandInput, options?: __HttpHandlerOptions): Promise<GetResolverDnssecConfigCommandOutput>;
    getResolverDnssecConfig(args: GetResolverDnssecConfigCommandInput, cb: (err: any, data?: GetResolverDnssecConfigCommandOutput) => void): void;
    getResolverDnssecConfig(args: GetResolverDnssecConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: GetResolverDnssecConfigCommandOutput) => void): void;
    
    getResolverEndpoint(args: GetResolverEndpointCommandInput, options?: __HttpHandlerOptions): Promise<GetResolverEndpointCommandOutput>;
    getResolverEndpoint(args: GetResolverEndpointCommandInput, cb: (err: any, data?: GetResolverEndpointCommandOutput) => void): void;
    getResolverEndpoint(args: GetResolverEndpointCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: GetResolverEndpointCommandOutput) => void): void;
    
    getResolverQueryLogConfig(args: GetResolverQueryLogConfigCommandInput, options?: __HttpHandlerOptions): Promise<GetResolverQueryLogConfigCommandOutput>;
    getResolverQueryLogConfig(args: GetResolverQueryLogConfigCommandInput, cb: (err: any, data?: GetResolverQueryLogConfigCommandOutput) => void): void;
    getResolverQueryLogConfig(args: GetResolverQueryLogConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: GetResolverQueryLogConfigCommandOutput) => void): void;
    
    getResolverQueryLogConfigAssociation(args: GetResolverQueryLogConfigAssociationCommandInput, options?: __HttpHandlerOptions): Promise<GetResolverQueryLogConfigAssociationCommandOutput>;
    getResolverQueryLogConfigAssociation(args: GetResolverQueryLogConfigAssociationCommandInput, cb: (err: any, data?: GetResolverQueryLogConfigAssociationCommandOutput) => void): void;
    getResolverQueryLogConfigAssociation(args: GetResolverQueryLogConfigAssociationCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: GetResolverQueryLogConfigAssociationCommandOutput) => void): void;
    
    getResolverQueryLogConfigPolicy(args: GetResolverQueryLogConfigPolicyCommandInput, options?: __HttpHandlerOptions): Promise<GetResolverQueryLogConfigPolicyCommandOutput>;
    getResolverQueryLogConfigPolicy(args: GetResolverQueryLogConfigPolicyCommandInput, cb: (err: any, data?: GetResolverQueryLogConfigPolicyCommandOutput) => void): void;
    getResolverQueryLogConfigPolicy(args: GetResolverQueryLogConfigPolicyCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: GetResolverQueryLogConfigPolicyCommandOutput) => void): void;
    
    getResolverRule(args: GetResolverRuleCommandInput, options?: __HttpHandlerOptions): Promise<GetResolverRuleCommandOutput>;
    getResolverRule(args: GetResolverRuleCommandInput, cb: (err: any, data?: GetResolverRuleCommandOutput) => void): void;
    getResolverRule(args: GetResolverRuleCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: GetResolverRuleCommandOutput) => void): void;
    
    getResolverRuleAssociation(args: GetResolverRuleAssociationCommandInput, options?: __HttpHandlerOptions): Promise<GetResolverRuleAssociationCommandOutput>;
    getResolverRuleAssociation(args: GetResolverRuleAssociationCommandInput, cb: (err: any, data?: GetResolverRuleAssociationCommandOutput) => void): void;
    getResolverRuleAssociation(args: GetResolverRuleAssociationCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: GetResolverRuleAssociationCommandOutput) => void): void;
    
    getResolverRulePolicy(args: GetResolverRulePolicyCommandInput, options?: __HttpHandlerOptions): Promise<GetResolverRulePolicyCommandOutput>;
    getResolverRulePolicy(args: GetResolverRulePolicyCommandInput, cb: (err: any, data?: GetResolverRulePolicyCommandOutput) => void): void;
    getResolverRulePolicy(args: GetResolverRulePolicyCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: GetResolverRulePolicyCommandOutput) => void): void;
    
    importFirewallDomains(args: ImportFirewallDomainsCommandInput, options?: __HttpHandlerOptions): Promise<ImportFirewallDomainsCommandOutput>;
    importFirewallDomains(args: ImportFirewallDomainsCommandInput, cb: (err: any, data?: ImportFirewallDomainsCommandOutput) => void): void;
    importFirewallDomains(args: ImportFirewallDomainsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ImportFirewallDomainsCommandOutput) => void): void;
    
    listFirewallConfigs(args: ListFirewallConfigsCommandInput, options?: __HttpHandlerOptions): Promise<ListFirewallConfigsCommandOutput>;
    listFirewallConfigs(args: ListFirewallConfigsCommandInput, cb: (err: any, data?: ListFirewallConfigsCommandOutput) => void): void;
    listFirewallConfigs(args: ListFirewallConfigsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListFirewallConfigsCommandOutput) => void): void;
    
    listFirewallDomainLists(args: ListFirewallDomainListsCommandInput, options?: __HttpHandlerOptions): Promise<ListFirewallDomainListsCommandOutput>;
    listFirewallDomainLists(args: ListFirewallDomainListsCommandInput, cb: (err: any, data?: ListFirewallDomainListsCommandOutput) => void): void;
    listFirewallDomainLists(args: ListFirewallDomainListsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListFirewallDomainListsCommandOutput) => void): void;
    
    listFirewallDomains(args: ListFirewallDomainsCommandInput, options?: __HttpHandlerOptions): Promise<ListFirewallDomainsCommandOutput>;
    listFirewallDomains(args: ListFirewallDomainsCommandInput, cb: (err: any, data?: ListFirewallDomainsCommandOutput) => void): void;
    listFirewallDomains(args: ListFirewallDomainsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListFirewallDomainsCommandOutput) => void): void;
    
    listFirewallRuleGroupAssociations(args: ListFirewallRuleGroupAssociationsCommandInput, options?: __HttpHandlerOptions): Promise<ListFirewallRuleGroupAssociationsCommandOutput>;
    listFirewallRuleGroupAssociations(args: ListFirewallRuleGroupAssociationsCommandInput, cb: (err: any, data?: ListFirewallRuleGroupAssociationsCommandOutput) => void): void;
    listFirewallRuleGroupAssociations(args: ListFirewallRuleGroupAssociationsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListFirewallRuleGroupAssociationsCommandOutput) => void): void;
    
    listFirewallRuleGroups(args: ListFirewallRuleGroupsCommandInput, options?: __HttpHandlerOptions): Promise<ListFirewallRuleGroupsCommandOutput>;
    listFirewallRuleGroups(args: ListFirewallRuleGroupsCommandInput, cb: (err: any, data?: ListFirewallRuleGroupsCommandOutput) => void): void;
    listFirewallRuleGroups(args: ListFirewallRuleGroupsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListFirewallRuleGroupsCommandOutput) => void): void;
    
    listFirewallRules(args: ListFirewallRulesCommandInput, options?: __HttpHandlerOptions): Promise<ListFirewallRulesCommandOutput>;
    listFirewallRules(args: ListFirewallRulesCommandInput, cb: (err: any, data?: ListFirewallRulesCommandOutput) => void): void;
    listFirewallRules(args: ListFirewallRulesCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListFirewallRulesCommandOutput) => void): void;
    
    listResolverConfigs(args: ListResolverConfigsCommandInput, options?: __HttpHandlerOptions): Promise<ListResolverConfigsCommandOutput>;
    listResolverConfigs(args: ListResolverConfigsCommandInput, cb: (err: any, data?: ListResolverConfigsCommandOutput) => void): void;
    listResolverConfigs(args: ListResolverConfigsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListResolverConfigsCommandOutput) => void): void;
    
    listResolverDnssecConfigs(args: ListResolverDnssecConfigsCommandInput, options?: __HttpHandlerOptions): Promise<ListResolverDnssecConfigsCommandOutput>;
    listResolverDnssecConfigs(args: ListResolverDnssecConfigsCommandInput, cb: (err: any, data?: ListResolverDnssecConfigsCommandOutput) => void): void;
    listResolverDnssecConfigs(args: ListResolverDnssecConfigsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListResolverDnssecConfigsCommandOutput) => void): void;
    
    listResolverEndpointIpAddresses(args: ListResolverEndpointIpAddressesCommandInput, options?: __HttpHandlerOptions): Promise<ListResolverEndpointIpAddressesCommandOutput>;
    listResolverEndpointIpAddresses(args: ListResolverEndpointIpAddressesCommandInput, cb: (err: any, data?: ListResolverEndpointIpAddressesCommandOutput) => void): void;
    listResolverEndpointIpAddresses(args: ListResolverEndpointIpAddressesCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListResolverEndpointIpAddressesCommandOutput) => void): void;
    
    listResolverEndpoints(args: ListResolverEndpointsCommandInput, options?: __HttpHandlerOptions): Promise<ListResolverEndpointsCommandOutput>;
    listResolverEndpoints(args: ListResolverEndpointsCommandInput, cb: (err: any, data?: ListResolverEndpointsCommandOutput) => void): void;
    listResolverEndpoints(args: ListResolverEndpointsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListResolverEndpointsCommandOutput) => void): void;
    
    listResolverQueryLogConfigAssociations(args: ListResolverQueryLogConfigAssociationsCommandInput, options?: __HttpHandlerOptions): Promise<ListResolverQueryLogConfigAssociationsCommandOutput>;
    listResolverQueryLogConfigAssociations(args: ListResolverQueryLogConfigAssociationsCommandInput, cb: (err: any, data?: ListResolverQueryLogConfigAssociationsCommandOutput) => void): void;
    listResolverQueryLogConfigAssociations(args: ListResolverQueryLogConfigAssociationsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListResolverQueryLogConfigAssociationsCommandOutput) => void): void;
    
    listResolverQueryLogConfigs(args: ListResolverQueryLogConfigsCommandInput, options?: __HttpHandlerOptions): Promise<ListResolverQueryLogConfigsCommandOutput>;
    listResolverQueryLogConfigs(args: ListResolverQueryLogConfigsCommandInput, cb: (err: any, data?: ListResolverQueryLogConfigsCommandOutput) => void): void;
    listResolverQueryLogConfigs(args: ListResolverQueryLogConfigsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListResolverQueryLogConfigsCommandOutput) => void): void;
    
    listResolverRuleAssociations(args: ListResolverRuleAssociationsCommandInput, options?: __HttpHandlerOptions): Promise<ListResolverRuleAssociationsCommandOutput>;
    listResolverRuleAssociations(args: ListResolverRuleAssociationsCommandInput, cb: (err: any, data?: ListResolverRuleAssociationsCommandOutput) => void): void;
    listResolverRuleAssociations(args: ListResolverRuleAssociationsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListResolverRuleAssociationsCommandOutput) => void): void;
    
    listResolverRules(args: ListResolverRulesCommandInput, options?: __HttpHandlerOptions): Promise<ListResolverRulesCommandOutput>;
    listResolverRules(args: ListResolverRulesCommandInput, cb: (err: any, data?: ListResolverRulesCommandOutput) => void): void;
    listResolverRules(args: ListResolverRulesCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListResolverRulesCommandOutput) => void): void;
    
    listTagsForResource(args: ListTagsForResourceCommandInput, options?: __HttpHandlerOptions): Promise<ListTagsForResourceCommandOutput>;
    listTagsForResource(args: ListTagsForResourceCommandInput, cb: (err: any, data?: ListTagsForResourceCommandOutput) => void): void;
    listTagsForResource(args: ListTagsForResourceCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListTagsForResourceCommandOutput) => void): void;
    
    putFirewallRuleGroupPolicy(args: PutFirewallRuleGroupPolicyCommandInput, options?: __HttpHandlerOptions): Promise<PutFirewallRuleGroupPolicyCommandOutput>;
    putFirewallRuleGroupPolicy(args: PutFirewallRuleGroupPolicyCommandInput, cb: (err: any, data?: PutFirewallRuleGroupPolicyCommandOutput) => void): void;
    putFirewallRuleGroupPolicy(args: PutFirewallRuleGroupPolicyCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: PutFirewallRuleGroupPolicyCommandOutput) => void): void;
    
    putResolverQueryLogConfigPolicy(args: PutResolverQueryLogConfigPolicyCommandInput, options?: __HttpHandlerOptions): Promise<PutResolverQueryLogConfigPolicyCommandOutput>;
    putResolverQueryLogConfigPolicy(args: PutResolverQueryLogConfigPolicyCommandInput, cb: (err: any, data?: PutResolverQueryLogConfigPolicyCommandOutput) => void): void;
    putResolverQueryLogConfigPolicy(args: PutResolverQueryLogConfigPolicyCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: PutResolverQueryLogConfigPolicyCommandOutput) => void): void;
    
    putResolverRulePolicy(args: PutResolverRulePolicyCommandInput, options?: __HttpHandlerOptions): Promise<PutResolverRulePolicyCommandOutput>;
    putResolverRulePolicy(args: PutResolverRulePolicyCommandInput, cb: (err: any, data?: PutResolverRulePolicyCommandOutput) => void): void;
    putResolverRulePolicy(args: PutResolverRulePolicyCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: PutResolverRulePolicyCommandOutput) => void): void;
    
    tagResource(args: TagResourceCommandInput, options?: __HttpHandlerOptions): Promise<TagResourceCommandOutput>;
    tagResource(args: TagResourceCommandInput, cb: (err: any, data?: TagResourceCommandOutput) => void): void;
    tagResource(args: TagResourceCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: TagResourceCommandOutput) => void): void;
    
    untagResource(args: UntagResourceCommandInput, options?: __HttpHandlerOptions): Promise<UntagResourceCommandOutput>;
    untagResource(args: UntagResourceCommandInput, cb: (err: any, data?: UntagResourceCommandOutput) => void): void;
    untagResource(args: UntagResourceCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UntagResourceCommandOutput) => void): void;
    
    updateFirewallConfig(args: UpdateFirewallConfigCommandInput, options?: __HttpHandlerOptions): Promise<UpdateFirewallConfigCommandOutput>;
    updateFirewallConfig(args: UpdateFirewallConfigCommandInput, cb: (err: any, data?: UpdateFirewallConfigCommandOutput) => void): void;
    updateFirewallConfig(args: UpdateFirewallConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateFirewallConfigCommandOutput) => void): void;
    
    updateFirewallDomains(args: UpdateFirewallDomainsCommandInput, options?: __HttpHandlerOptions): Promise<UpdateFirewallDomainsCommandOutput>;
    updateFirewallDomains(args: UpdateFirewallDomainsCommandInput, cb: (err: any, data?: UpdateFirewallDomainsCommandOutput) => void): void;
    updateFirewallDomains(args: UpdateFirewallDomainsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateFirewallDomainsCommandOutput) => void): void;
    
    updateFirewallRule(args: UpdateFirewallRuleCommandInput, options?: __HttpHandlerOptions): Promise<UpdateFirewallRuleCommandOutput>;
    updateFirewallRule(args: UpdateFirewallRuleCommandInput, cb: (err: any, data?: UpdateFirewallRuleCommandOutput) => void): void;
    updateFirewallRule(args: UpdateFirewallRuleCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateFirewallRuleCommandOutput) => void): void;
    
    updateFirewallRuleGroupAssociation(args: UpdateFirewallRuleGroupAssociationCommandInput, options?: __HttpHandlerOptions): Promise<UpdateFirewallRuleGroupAssociationCommandOutput>;
    updateFirewallRuleGroupAssociation(args: UpdateFirewallRuleGroupAssociationCommandInput, cb: (err: any, data?: UpdateFirewallRuleGroupAssociationCommandOutput) => void): void;
    updateFirewallRuleGroupAssociation(args: UpdateFirewallRuleGroupAssociationCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateFirewallRuleGroupAssociationCommandOutput) => void): void;
    
    updateResolverConfig(args: UpdateResolverConfigCommandInput, options?: __HttpHandlerOptions): Promise<UpdateResolverConfigCommandOutput>;
    updateResolverConfig(args: UpdateResolverConfigCommandInput, cb: (err: any, data?: UpdateResolverConfigCommandOutput) => void): void;
    updateResolverConfig(args: UpdateResolverConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateResolverConfigCommandOutput) => void): void;
    
    updateResolverDnssecConfig(args: UpdateResolverDnssecConfigCommandInput, options?: __HttpHandlerOptions): Promise<UpdateResolverDnssecConfigCommandOutput>;
    updateResolverDnssecConfig(args: UpdateResolverDnssecConfigCommandInput, cb: (err: any, data?: UpdateResolverDnssecConfigCommandOutput) => void): void;
    updateResolverDnssecConfig(args: UpdateResolverDnssecConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateResolverDnssecConfigCommandOutput) => void): void;
    
    updateResolverEndpoint(args: UpdateResolverEndpointCommandInput, options?: __HttpHandlerOptions): Promise<UpdateResolverEndpointCommandOutput>;
    updateResolverEndpoint(args: UpdateResolverEndpointCommandInput, cb: (err: any, data?: UpdateResolverEndpointCommandOutput) => void): void;
    updateResolverEndpoint(args: UpdateResolverEndpointCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateResolverEndpointCommandOutput) => void): void;
    
    updateResolverRule(args: UpdateResolverRuleCommandInput, options?: __HttpHandlerOptions): Promise<UpdateResolverRuleCommandOutput>;
    updateResolverRule(args: UpdateResolverRuleCommandInput, cb: (err: any, data?: UpdateResolverRuleCommandOutput) => void): void;
    updateResolverRule(args: UpdateResolverRuleCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateResolverRuleCommandOutput) => void): void;
}
